<?php
if ( ! defined( 'ABSPATH' ) ) exit;
/**
 * Footer Template
 *
 * Here we setup all logic and XHTML that is required for the footer section of all screens.
 *
 * @package wooFramework
 * @subpackage Template
 */

	// Show footer only if LC isn't active
	if ( defined('DS_LIVE_COMPOSER_ACTIVE') && DS_LIVE_COMPOSER_ACTIVE ) {
		echo '<span class="ftr-disabled">The Footer is disabled when live page editing is on.</span>';
	} else {

	global $tt_options;

	$total = 4;
	if ( isset( $tt_options['tt_footer_sidebars'] ) && ( $tt_options['tt_footer_sidebars'] != '' ) ) {
		$total = $tt_options['tt_footer_sidebars'];
	}

	if ( ( is_active_sidebar( 'footer-1' ) ||
		   is_active_sidebar( 'footer-2' ) ||
		   is_active_sidebar( 'footer-3' ) ||
		   is_active_sidebar( 'footer-4' ) ) && $total > 0 ) {

?>

	<?php woo_footer_before(); ?>

	<?php // grabbing the theme settings
		$lefticon = get_template_directory_uri() . '/images/icons/a.png';
		$righticon = get_template_directory_uri() . '/images/icons/b.png';

		$footsettings = array(
					'ft_enable_hero' => '1',
					'ft_icon_bg_left' => '1',
					'ft_icon_left' => array( 'url' => $lefticon ),
					'ft_title_left' => 'Title (Left side)', 
					'ft_content_left' => 'Edit this text and title in Theme-options -> Footer Customization -> Footer showcase content section. Lorem ipsum dolor sit amet, consectetuer adipisc in elit, sed diam non ummy nibh in euismod tincidunt ut liber tempor laoreet.', 
					'ft_icon_bg_right' => '1',
					'ft_icon_right' => array( 'url' => $righticon ),
					'ft_title_right' => 'Title (Right side)', 
					'ft_content_right' => 'Edit this text and title in Theme-options -> Footer Customization -> Footer showcase content section. Lorem ipsum dolor sit amet, consectetuer adipisc in elit, sed diam non ummy nibh in euismod tincidunt ut liber tempor laoreet.',
					'jsanim_no' => '1'
					);
	$footsettings = tt_get_dynamic_values( $footsettings ); ?>

	<footer id="footer-wrap" class="col-full <?php if ( $footsettings['ft_enable_hero'] == '0' ) echo "no-showcase"; ?>">
	
				<?php if ( $footsettings['ft_enable_hero'] == '1' ) { // render footer showcase area ?>
					<article class="double-a <?php if ( '0' == $footsettings['jsanim_no'] ) echo "js_animate";?>">
						<div class="footer-showcase-left">
							<h3><?php echo $footsettings['ft_title_left']; ?></h3>
							<figure <?php if ( '1' == $footsettings['ft_icon_bg_left'] ) echo 'class="icon-bg"'; ?>>
								<?php if ( !empty($footsettings['ft_icon_left']['url'])) { ?><img width="59" height="59" alt="" src="<?php echo  $footsettings['ft_icon_left']['url']; ?>"><?php }?></figure>
							<p><?php echo do_shortcode($footsettings['ft_content_left']); ?></p>
						</div>
						<div class="footer-showcase-right">
							<h3><?php echo $footsettings['ft_title_right']; ?></h3>
							<figure <?php if ( '1' == $footsettings['ft_icon_bg_right'] ) echo 'class="icon-bg"'; ?>>
								<?php if ( !empty($footsettings['ft_icon_right']['url'])) { ?><img width="59" height="59" alt="" src="<?php echo $footsettings['ft_icon_right']['url']; ?>"><?php }?></figure>
							<p><?php echo do_shortcode($footsettings['ft_content_right']); ?></p>
						</div>
					</article>
					<div class="jsfooter-hr"></div>
				<?php } ?>
				
				
		<section id="footer-widgets" class="col-full col-<?php echo $total; ?> fix">

			<?php $i = 0; while ( $i < $total ) { $i++; ?>
				<?php if ( is_active_sidebar( 'footer-' . $i ) ) { ?>

			<div class="block footer-widget-<?php echo $i; ?>">
	        	<?php dynamic_sidebar( 'footer-' . $i ); ?>
			</div>

		        <?php } ?>
			<?php } // End WHILE Loop ?>

		</section><!-- /#footer-widgets  -->
	<?php } // End IF Statement ?>
		<div id="footer" class="col-full">

			<div id="credit" class="fix">
				<div id="copyright" class="col-left">
				<?php if( isset( $tt_options['tt_footer_left'] ) && $tt_options['tt_footer_left'] == '1' ) {
						echo stripslashes( $tt_options['tt_footer_left_text'] );
				} else { ?>
					<p><?php bloginfo(); ?> &copy; <?php echo date( 'Y' ); ?>. <?php _e( 'All Rights Reserved.', 'templatation' ); ?></p>
				<?php } ?>
				</div>
				<div class="col-right">
				<?php if( isset( $tt_options['tt_footer_right'] ) && $tt_options['tt_footer_right'] == '1' ) {
					echo stripslashes( $tt_options['tt_footer_right_text'] );
				} else { ?>
					<p><?php _e( 'Designed by', 'templatation' ); ?> <a href="http://www.templatation.com">Templatation</a></p>
				<?php } ?>
				</div>
			</div><!-- /#credit  -->

		</div><!-- /#footer  -->

	</footer><!--/.footer-wrap-->
<?php } ?>

</div><!-- /#wrapper -->
<?php wp_footer(); ?>
<?php woo_foot(); ?>
</body>
</html>