<?php
// File Security Check
if ( ! defined( 'ABSPATH' ) ) exit;

$woo_options = get_option( 'woo_options', array()  ); // load old options. yes we still need it.
//require_once ( get_template_directory() . '/includes/redux/tt-redux-extensions/loader.php' );

/*-----------------------------------------------------------------------------------*/
/* templatation Framework Conversion */
/*-----------------------------------------------------------------------------------*/

/*if ( defined( 'TT_OLD_VER_PRESENT' ) && 'TT_OLD_VER_PRESENT' ) { // if its fresh install, we dont need these CPTs as LC handles them.
	require_once( get_template_directory() . '/includes/testimonials/templatation-testimonials.php' );
	require_once( get_template_directory() . '/includes/retail-menu-cards/retail-menu-cards.php' );
}*/

if(  is_admin() && !get_option( 'woo_theme_updates_log') ) tt_prevent_plugins_fwd();

function tt_prevent_plugins_fwd() {
//setting some required settings to avoid multiple redirects caused by plugins
	update_option( 'ultimate_vc_addons_redirect', false );
	update_option( 'revslider-notices', false );
	//add_filter( 'woocommerce_enable_setup_wizard', __return_false() );
	set_transient( '_redux_activation_redirect', false, 30 );
	remove_action( 'init', 'vc_page_welcome_redirect' );
	delete_transient( '_dslc_activation_redirect_1' );
}

if( is_admin() && ( defined( 'TT_OLD_VER_PRESENT' ) && 'TT_OLD_VER_PRESENT') && !defined( 'NO_CONVERT_NEEDED' ) ) {
	if ( get_option( 'tt_is_port_convert_needed' ) != 'no' ) {
		add_action( 'init', 'tt_port_convert', 12 );
	}
	if ( get_option( 'tt_is_page_convert_needed' ) != 'no' ) {
		add_action( 'init', 'tt_page_convert', 12 );
	}
	if ( get_option( 'tt_is_post_convert_needed' ) != 'no' ) {
		add_action( 'init', 'tt_posts_convert', 12 );
	}
	if ( get_option( 'tt_is_prod_convert_needed' ) != 'no' ) {
		add_action( 'init', 'tt_product_convert', 12 );
	}
	if ( get_option( 'tt_is_convert_needed' ) != 'no' ) {
		if(function_exists('tt_js_convert')) tt_js_convert();
	}
	define('NO_CONVERT_NEEDED', '1');
}
function tt_js_convert(){

	if( get_option( 'tt_is_convert_needed' ) == 'no' || get_option( 'tt_framework_version' ) == '6.0') return; // no need to convert

	// we are changing $woo_options to $tt_options in redux because we want to preserve $woo_options in user database like before, so that in case user decides to go back to old version of theme, he can. Or if he is using woo_option in child theme, it wud still work !

    $woo_options = get_option( 'woo_options', array()  );
    $tt_options = get_option( 'tt_options', array() );

    // Start converting old theme options to new theme options.
    $tt_options = json_decode(str_replace('woo', 'tt', json_encode($woo_options)), true); // first saving all old options to new array.
    // now modifying array structure to fit redux
	// media
	$tt_options['tt_logo'] = array ( 'url' => $woo_options['woo_logo'] );
	$tt_options['tt_custom_favicon'] = array ( 'url' => $woo_options['woo_logo'] );
	$tt_options['tt_fvcn_114x114'] = array ( 'url' => $woo_options['woo_fvcn_114x114'] );
	$tt_options['tt_fvcn_72x72'] = array ( 'url' => $woo_options['woo_fvcn_72x72'] );
	$tt_options['tt_fvcn_144x144'] = array ( 'url' => $woo_options['woo_fvcn_144x144'] );
	if( isset($woo_options['woo_body_img']) )
	$tt_options['tt_body_stng']['background-image'] = $woo_options['woo_body_img'];
	$tt_options['tt_hdr_stng']['background-image'] = $woo_options['woo_header_img'];
	$tt_options['tt_ttext_icon'] = array ( 'url' => $woo_options['woo_ttext_icon'] );
	$tt_options['tt_welcome_text_icon'] = array ( 'url' => $woo_options['woo_welcome_text_icon'] );
	$tt_options['tt_hdline_bg'] = array ( 'url' => $woo_options['woo_hdline_bg'] );
	$tt_options['tt_ft_icon_left'] = array ( 'url' => $woo_options['woo_ft_icon_left'] );
	$tt_options['tt_ft_icon_right'] = array ( 'url' => $woo_options['woo_ft_icon_right'] );


	//width
	$tt_options['tt_logo_left_offset'] = array ( 'width' => $woo_options['woo_logo_left_offset'].'px', 'unit' => 'px'	);
	$tt_options['tt_thumb_w'] = array (	'height' => $woo_options['woo_thumb_w'].'px', 'unit' => 'px' );
	$tt_options['tt_single_w'] = array ('height' => $woo_options['woo_single_w'].'px', 'unit' => 'px' );
	$tt_options['tt_retina_logo_wh']['width'] = $woo_options['woo_retina_logo_w'];
	$tt_options['tt_retina_logo_wh']['height'] = $woo_options['woo_retina_logo_h'];
	$tt_options['tt_retina_logo_wh']['unit'] = 'px';


	//height
	$tt_options['tt_logo_top_offset'] = array (	'height' => $woo_options['woo_logo_top_offset'].'px', 'unit' => 'px' );
	$tt_options['tt_thumb_h'] = array (	'height' => $woo_options['woo_thumb_h'].'px', 'unit' => 'px' );
	$tt_options['tt_single_h'] = array (	'height' => $woo_options['woo_single_h'].'px', 'unit' => 'px' );

	//checkbox
	if ($woo_options['woo_texttitle'] == 'false') $tt_options['tt_texttitle'] = '0';
	elseif ($woo_options['woo_texttitle'] == 'true') $tt_options['tt_texttitle'] = '1';

	if ($woo_options['woo_retina_favicon'] == 'false') $tt_options['tt_retina_favicon'] = '0';
	elseif ($woo_options['woo_retina_favicon'] == 'true') $tt_options['tt_retina_favicon'] = '1';

	if ($woo_options['woo_tagline'] == 'false') $tt_options['tt_tagline'] = '0';
	elseif ($woo_options['woo_tagline'] == 'true') $tt_options['tt_tagline'] = '1';

	if ($woo_options['woo_widescreen'] == 'false') $tt_options['tt_widescreen'] = '0';
	elseif ($woo_options['woo_widescreen'] == 'true') $tt_options['tt_widescreen'] = '1';

	if ($woo_options['woo_sticky_menu'] == 'false') $tt_options['tt_sticky_menu'] = '0';
	elseif ($woo_options['woo_sticky_menu'] == 'true') $tt_options['tt_sticky_menu'] = '1';

	if ($woo_options['woo_jsanim_no'] == 'false') $tt_options['tt_jsanim_no'] = '0';
	elseif ($woo_options['woo_jsanim_no'] == 'true') $tt_options['tt_jsanim_no'] = '1';

	if ($woo_options['woo_disable_loadicon'] == 'false') $tt_options['tt_disable_loadicon'] = '0';
	elseif ($woo_options['woo_disable_loadicon'] == 'true') $tt_options['tt_disable_loadicon'] = '1';

	if ($woo_options['woo_disable_responsive'] == 'false') $tt_options['tt_disable_responsive'] = '0';
	elseif ($woo_options['woo_disable_responsive'] == 'true') $tt_options['tt_disable_responsive'] = '1';

	if ($woo_options['woo_post_author'] == 'false') $tt_options['tt_post_author'] = '0';
	elseif ($woo_options['woo_post_author'] == 'true') $tt_options['tt_post_author'] = '1';

	if ($woo_options['woo_breadcrumbs_show'] == 'false') $tt_options['tt_breadcrumbs_show'] = '0';
	elseif ($woo_options['woo_breadcrumbs_show'] == 'true') $tt_options['tt_breadcrumbs_show'] = '1';

	if ($woo_options['woo_pagenav_show'] == 'false') $tt_options['tt_pagenav_show'] = '0';
	elseif ($woo_options['woo_pagenav_show'] == 'true') $tt_options['tt_pagenav_show'] = '1';

	if ($woo_options['woo_tt_live_cust'] == 'false') $tt_options['tt_live_cust'] = '0';
	elseif ($woo_options['woo_tt_live_cust'] == 'true') $tt_options['tt_live_cust'] = '1';

	if ($woo_options['woo_no_cont_shadow'] == 'false') $tt_options['tt_no_cont_shadow'] = '0';
	elseif ($woo_options['woo_no_cont_shadow'] == 'true') $tt_options['tt_no_cont_shadow'] = '1';

	if ($woo_options['woo_no_bdcmp_shadow'] == 'false') $tt_options['tt_no_bdcmp_shadow'] = '0';
	elseif ($woo_options['woo_no_bdcmp_shadow'] == 'true') $tt_options['tt_no_bdcmp_shadow'] = '1';

	if ($woo_options['woo_typography'] == 'false') $tt_options['tt_typography'] = '0';
	elseif ($woo_options['woo_typography'] == 'true') $tt_options['tt_typography'] = '1';

	if ($woo_options['woo_trans_lay4'] == 'false') $tt_options['tt_trans_lay4'] = '0';
	elseif ($woo_options['woo_trans_lay4'] == 'true') $tt_options['tt_trans_lay4'] = '1';

	if ($woo_options['woo_enable_hdr_search'] == 'false') $tt_options['tt_enable_hdr_search'] = '0';
	elseif ($woo_options['woo_enable_hdr_search'] == 'true') $tt_options['tt_enable_hdr_search'] = '1';

	if ($woo_options['woo_enable_topbar'] == 'false') $tt_options['tt_enable_topbar'] = '0';
	elseif ($woo_options['woo_enable_topbar'] == 'true') $tt_options['tt_enable_topbar'] = '1';

	if ($woo_options['woo_enable_showhide'] == 'false') $tt_options['tt_enable_showhide'] = '0';
	elseif ($woo_options['woo_enable_showhide'] == 'true') $tt_options['tt_enable_showhide'] = '1';

	if ($woo_options['woo_enable_ttext'] == 'false') $tt_options['tt_enable_ttext'] = '0';
	elseif ($woo_options['woo_enable_ttext'] == 'true') $tt_options['tt_enable_ttext'] = '1';

	if ($woo_options['woo_enable_top_social'] == 'false') $tt_options['tt_enable_top_social'] = '0';
	elseif ($woo_options['woo_enable_top_social'] == 'true') $tt_options['tt_enable_top_social'] = '1';

	if ($woo_options['woo_enable_lang_dropdown'] == 'false') $tt_options['tt_enable_lang_dropdown'] = '0';
	elseif ($woo_options['woo_enable_lang_dropdown'] == 'true') $tt_options['tt_enable_lang_dropdown'] = '1';

	if ($woo_options['woo_enable_top_search'] == 'false') $tt_options['tt_enable_top_search'] = '0';
	elseif ($woo_options['woo_enable_top_search'] == 'true') $tt_options['tt_enable_top_search'] = '1';

	if ($woo_options['woo_sc_icons_right'] == 'false') $tt_options['tt_sc_icons_right'] = '0';
	elseif ($woo_options['woo_sc_icons_right'] == 'true') $tt_options['tt_sc_icons_right'] = '1';

	if ($woo_options['woo_enable_slider'] == 'false') $tt_options['tt_enable_slider'] = '0';
	elseif ($woo_options['woo_enable_slider'] == 'true') $tt_options['tt_enable_slider'] = '1';

	if ($woo_options['woo_slider_whole_site'] == 'false') $tt_options['tt_slider_whole_site'] = '0';
	elseif ($woo_options['woo_slider_whole_site'] == 'true') $tt_options['tt_slider_whole_site'] = '1';

	if ($woo_options['woo_show_headline_global'] == 'false') $tt_options['tt_show_headline_global'] = '0';
	elseif ($woo_options['woo_show_headline_global'] == 'true') $tt_options['tt_show_headline_global'] = '1';

	if ($woo_options['woo_enable_default_headline'] == 'false') $tt_options['tt_enable_default_headline'] = '0';
	elseif ($woo_options['woo_enable_default_headline'] == 'true') $tt_options['tt_enable_default_headline'] = '1';

	if ($woo_options['woo_homepage_about_home_section'] == 'false') $tt_options['tt_homepage_about_home_section'] = '0';
	elseif ($woo_options['woo_homepage_about_home_section'] == 'true') $tt_options['tt_homepage_about_home_section'] = '1';

	if ($woo_options['woo_homepage_enable_content'] == 'false') $tt_options['tt_homepage_enable_content'] = '0';
	elseif ($woo_options['woo_homepage_enable_content'] == 'true') $tt_options['tt_homepage_enable_content'] = '1';

	if ($woo_options['woo_homepage_show_testi'] == 'false') $tt_options['tt_homepage_show_testi'] = '0';
	elseif ($woo_options['woo_homepage_show_testi'] == 'true') $tt_options['tt_homepage_show_testi'] = '1';

	if ($woo_options['woo_homepage_posts_sidebar'] == 'false') $tt_options['tt_homepage_posts_sidebar'] = '0';
	elseif ($woo_options['woo_homepage_posts_sidebar'] == 'true') $tt_options['tt_homepage_posts_sidebar'] = '1';

	if ($woo_options['woo_portfolio_excludesearch'] == 'false') $tt_options['tt_portfolio_excludesearch'] = '0';
	elseif ($woo_options['woo_portfolio_excludesearch'] == 'true') $tt_options['tt_portfolio_excludesearch'] = '1';

 if ( class_exists( 'woocommerce' ) ) {

	 if ( $woo_options['woo_enable_catalog'] == 'false' ) {
		 $tt_options['tt_enable_catalog'] = '0';
	 } elseif ( $woo_options['woo_enable_catalog'] == 'true' ) {
		 $tt_options['tt_enable_catalog'] = '1';
	 }

	 if ( $woo_options['woocommerce_header_cart_link'] == 'false' ) {
		 $tt_options['tt_woocommerce_header_cart_link'] = '0';
	 } elseif ( $woo_options['woocommerce_header_cart_link'] == 'true' ) {
		 $tt_options['tt_woocommerce_header_cart_link'] = '1';
	 }

	 if ( $woo_options['woo_no_hdrcart_popup'] == 'false' ) {
		 $tt_options['tt_no_hdrcart_popup'] = '0';
	 } elseif ( $woo_options['woo_no_hdrcart_popup'] == 'true' ) {
		 $tt_options['tt_no_hdrcart_popup'] = '1';
	 }

	 if ( $woo_options['woocommerce_archives_fullwidth'] == 'false' ) {
		 $tt_options['tt_woocommerce_archives_fullwidth'] = '0';
	 } elseif ( $woo_options['woocommerce_archives_fullwidth'] == 'true' ) {
		 $tt_options['tt_woocommerce_archives_fullwidth'] = '1';
	 }

	 if ( $woo_options['woo_link_prod_thumb'] == 'false' ) {
		 $tt_options['tt_link_prod_thumb'] = '0';
	 } elseif ( $woo_options['woo_link_prod_thumb'] == 'true' ) {
		 $tt_options['tt_link_prod_thumb'] = '1';
	 }

	 if ( $woo_options['woocommerce_archives_infinite_scroll'] == 'false' ) {
		 $tt_options['tt_woocommerce_archives_infinite_scroll'] = '0';
	 } elseif ( $woo_options['woocommerce_archives_infinite_scroll'] == 'true' ) {
		 $tt_options['tt_woocommerce_archives_infinite_scroll'] = '1';
	 }

	 if ( $woo_options['woocommerce_related_products'] == 'false' ) {
		 $tt_options['tt_woocommerce_related_products'] = '0';
	 } elseif ( $woo_options['woocommerce_related_products'] == 'true' ) {
		 $tt_options['tt_woocommerce_related_products'] = '1';
	 }

	 if ( $woo_options['woocommerce_products_fullwidth'] == 'false' ) {
		 $tt_options['tt_woocommerce_products_fullwidth'] = '0';
	 } elseif ( $woo_options['woocommerce_products_fullwidth'] == 'true' ) {
		 $tt_options['tt_woocommerce_products_fullwidth'] = '1';
	 }

	 if ( $woo_options['woo_default_sharing_button'] == 'false' ) {
		 $tt_options['tt_default_sharing_button'] = '0';
	 } elseif ( $woo_options['woo_default_sharing_button'] == 'true' ) {
		 $tt_options['tt_default_sharing_button'] = '1';
	 }
	$tt_options['tt_placeholder_url'] = array ( 'url' => $woo_options['woo_placeholder_url'] );
	if ($woo_options['woo_homepage_enable_product_categories'] == 'false') $tt_options['tt_homepage_enable_product_categories'] = '0';
	elseif ($woo_options['woo_homepage_enable_product_categories'] == 'true') $tt_options['tt_homepage_enable_product_categories'] = '1';

	if ($woo_options['woo_homepage_enable_featured_products'] == 'false') $tt_options['tt_homepage_enable_featured_products'] = '0';
	elseif ($woo_options['woo_homepage_enable_featured_products'] == 'true') $tt_options['tt_homepage_enable_featured_products'] = '1';

	 $tt_options['tt_woocommerce_products_per_page'] = $woo_options['woocommerce_products_per_page'];
	 $tt_options['tt_woocommerce_product_columns'] = $woo_options['woocommerce_product_columns'];
	 $tt_options['tt_woocommerce_related_products_maximum'] = $woo_options['woocommerce_related_products_maximum'];
	 $tt_options['tt_homepage_product_categories_limit'] = $woo_options['woo_homepage_product_categories_limit'];
	 $tt_options['tt_homepage_featured_products_limit'] = $woo_options['woo_homepage_featured_products_limit'];
	 $tt_options['tt_homepage_featured_products_title'] = $woo_options['woo_homepage_featured_products_title'];

 }
	if ($woo_options['woo_post_image_support'] == 'false') $tt_options['tt_post_image_support'] = '0';
	elseif ($woo_options['woo_post_image_support'] == 'true') $tt_options['tt_post_image_support'] = '1';

	if ($woo_options['woo_pis_resize'] == 'false') $tt_options['tt_pis_resize'] = '0';
	elseif ($woo_options['woo_pis_resize'] == 'true') $tt_options['tt_pis_resize'] = '1';

	if ($woo_options['woo_pis_hard_crop'] == 'false') $tt_options['tt_pis_hard_crop'] = '0';
	elseif ($woo_options['woo_pis_hard_crop'] == 'true') $tt_options['tt_pis_hard_crop'] = '1';

	if ($woo_options['woo_auto_img'] == 'false') $tt_options['tt_auto_img'] = '0';
	elseif ($woo_options['woo_auto_img'] == 'true') $tt_options['tt_auto_img'] = '1';

	if ($woo_options['woo_thumb_single'] == 'false') $tt_options['tt_thumb_single'] = '0';
	elseif ($woo_options['woo_thumb_single'] == 'true') $tt_options['tt_thumb_single'] = '1';

	if ($woo_options['woo_rss_thumb'] == 'false') $tt_options['tt_rss_thumb'] = '0';
	elseif ($woo_options['woo_rss_thumb'] == 'true') $tt_options['tt_rss_thumb'] = '1';

	if ($woo_options['woo_enable_lightbox'] == 'false') $tt_options['tt_enable_lightbox'] = '0';
	elseif ($woo_options['woo_enable_lightbox'] == 'true') $tt_options['tt_enable_lightbox'] = '1';

	if ($woo_options['woo_ft_enable_hero'] == 'false') $tt_options['tt_ft_enable_hero'] = '0';
	elseif ($woo_options['woo_ft_enable_hero'] == 'true') $tt_options['tt_ft_enable_hero'] = '1';

	if ($woo_options['woo_ft_icon_bg_left'] == 'false') $tt_options['tt_ft_icon_bg_left'] = '0';
	elseif ($woo_options['woo_ft_icon_bg_left'] == 'true') $tt_options['tt_ft_icon_bg_left'] = '1';

	if ($woo_options['woo_ft_icon_bg_right'] == 'false') $tt_options['tt_ft_icon_bg_right'] = '0';
	elseif ($woo_options['woo_ft_icon_bg_right'] == 'true') $tt_options['tt_ft_icon_bg_right'] = '1';

	if ($woo_options['woo_footer_left'] == 'false') $tt_options['tt_footer_left'] = '0';
	elseif ($woo_options['woo_footer_left'] == 'true') $tt_options['tt_footer_left'] = '1';

	if ($woo_options['woo_footer_right'] == 'false') $tt_options['tt_footer_right'] = '0';
	elseif ($woo_options['woo_footer_right'] == 'true') $tt_options['tt_footer_right'] = '1';

	if ($woo_options['woo_connect'] == 'false') $tt_options['tt_connect'] = '0';
	elseif ($woo_options['woo_connect'] == 'true') $tt_options['tt_connect'] = '1';

	if ($woo_options['woo_connect_related'] == 'false') $tt_options['tt_connect_related'] = '0';
	elseif ($woo_options['woo_connect_related'] == 'true') $tt_options['tt_connect_related'] = '1';

	if ($woo_options['woo_connect_rss'] == 'false') $tt_options['tt_connect_rss'] = '0';
	elseif ($woo_options['woo_connect_rss'] == 'true') $tt_options['tt_connect_rss'] = '1';

	if ($woo_options['woo_contact_panel'] == 'false') $tt_options['tt_contact_panel'] = '0';
	elseif ($woo_options['woo_contact_panel'] == 'true') $tt_options['tt_contact_panel'] = '1';

	if ($woo_options['woo_contact_subscribe_and_connect'] == 'false') $tt_options['tt_contact_subscribe_and_connect'] = '0';
	elseif ($woo_options['woo_contact_subscribe_and_connect'] == 'true') $tt_options['tt_contact_subscribe_and_connect'] = '1';

	if ($woo_options['woo_headline_gmap'] == 'false') $tt_options['tt_headline_gmap'] = '0';
	elseif ($woo_options['woo_headline_gmap'] == 'true') $tt_options['tt_headline_gmap'] = '1';

	if ($woo_options['woo_maps_scroll'] == 'false') $tt_options['tt_maps_scroll'] = '0';
	elseif ($woo_options['woo_maps_scroll'] == 'true') $tt_options['tt_maps_scroll'] = '1';


	//select
	$tt_options['tt_alt_stylesheet'] = $woo_options['woo_alt_stylesheet'];
	$tt_options['tt_comments'] = $woo_options['woo_comments'];
	$tt_options['tt_post_content'] = $woo_options['woo_post_content'];
	$tt_options['tt_pagination_type'] = $woo_options['woo_pagination_type'];
	$tt_options['tt_site_layout'] = $woo_options['woo_site_layout'];
	$tt_options['tt_homepage_content_type'] = $woo_options['woo_homepage_content_type'];
	$tt_options['tt_homepage_page_id'] = $woo_options['woo_homepage_page_id'];
	$tt_options['tt_homepage_number_of_posts'] = $woo_options['woo_homepage_number_of_posts'];
	$tt_options['tt_homepage_posts_category'] = $woo_options['woo_homepage_posts_category'];
	$tt_options['tt_portfolio_linkto'] = $woo_options['woo_portfolio_linkto'];
	$tt_options['tt_thumb_align'] = 'alignleft';
	$tt_options['tt_thumb_single_align'] = 'alignleft';
	$tt_options['tt_footer_sidebars'] = $woo_options['woo_footer_sidebars'];
	$tt_options['tt_maps_default_mapzoom'] = $woo_options['woo_maps_default_mapzoom'];
	$tt_options['tt_maps_default_maptype'] = $woo_options['woo_maps_default_maptype'];


	//text
	$tt_options['tt_google_analytics'] = $woo_options['woo_google_analytics'];
	$tt_options['tt_custom_css'] = $woo_options['woo_custom_css'];
	$tt_options['tt_feed_url'] = $woo_options['woo_feed_url'];
	$tt_options['tt_subscribe_email'] = $woo_options['woo_subscribe_email'];
	$tt_options['tt_header_height'] = $woo_options['woo_header_height'];
	$tt_options['tt_ttext_text'] = $woo_options['woo_ttext_text'];
	$tt_options['tt_slider_area_content'] = $woo_options['woo_slider_area_content'];
	$tt_options['tt_headline_default_title'] = $woo_options['woo_headline_default_title'];
	$tt_options['tt_headline_default_message'] = $woo_options['woo_headline_default_message'];
	$tt_options['tt_homepage_about_title'] = $woo_options['woo_homepage_about_title'];
	$tt_options['tt_homepage_about_message'] = $woo_options['woo_homepage_about_message'];
	$tt_options['tt_homepage_testimonials_area_title'] = $woo_options['woo_homepage_testimonials_area_title'];
	$tt_options['tt_portfolioitems_rewrite'] = $woo_options['woo_portfolioitems_rewrite'];
	$tt_options['tt_portfolio_excludenav'] = $woo_options['woo_portfolio_excludenav'];
	$tt_options['tt_portfolio_posts_per_page'] = $woo_options['woo_portfolio_posts_per_page'];
	$tt_options['tt_ft_title_left'] = $woo_options['woo_ft_title_left'];
	$tt_options['tt_ft_content_left'] = $woo_options['woo_ft_content_left'];
	$tt_options['tt_ft_title_right'] = $woo_options['woo_ft_title_right'];
	$tt_options['tt_ft_content_right'] = $woo_options['woo_ft_content_right'];
	$tt_options['tt_footer_left_text'] = $woo_options['woo_footer_left_text'];
	$tt_options['tt_footer_right_text'] = $woo_options['woo_footer_right_text'];
	$tt_options['tt_connect_title'] = $woo_options['woo_connect_title'];
	$tt_options['tt_connect_content'] = $woo_options['woo_connect_content'];
	$tt_options['tt_connect_newsletter_id'] = $woo_options['woo_connect_newsletter_id'];
	$tt_options['tt_connect_mailchimp_list_url'] = $woo_options['woo_connect_mailchimp_list_url'];
	$tt_options['tt_connect_twitter'] = $woo_options['woo_connect_twitter'];
	$tt_options['tt_connect_facebook'] = $woo_options['woo_connect_facebook'];
	$tt_options['tt_connect_youtube'] = $woo_options['woo_connect_youtube'];
	$tt_options['tt_connect_flickr'] = $woo_options['woo_connect_flickr'];
	$tt_options['tt_connect_linkedin'] = $woo_options['woo_connect_linkedin'];
	$tt_options['tt_connect_pinterest'] = $woo_options['woo_connect_pinterest'];
	$tt_options['tt_connect_instagram'] = $woo_options['woo_connect_instagram'];
	$tt_options['tt_connect_googleplus'] = $woo_options['woo_connect_googleplus'];
	$tt_options['tt_contact_title'] = $woo_options['woo_contact_title'];
	$tt_options['tt_contact_address'] = $woo_options['woo_contact_address'];
	$tt_options['tt_contact_number'] = $woo_options['woo_contact_number'];
	$tt_options['tt_contact_fax'] = $woo_options['woo_contact_fax'];
	$tt_options['tt_contactform_email'] = $woo_options['woo_contactform_email'];
	$tt_options['tt_contact_twitter'] = $woo_options['woo_contact_twitter'];
	$tt_options['tt_contactform_map_coords'] = $woo_options['woo_contactform_map_coords'];
	$tt_options['tt_maps_single_height'] = $woo_options['woo_maps_single_height'];
	$tt_options['tt_maps_callout_text'] = $woo_options['woo_maps_callout_text'];

	$tt_options['tt_framework_version'] = '6.0';


    update_option( 'tt_is_convert_needed', 'no' );
    update_option( 'tt_options', $tt_options, 'yes' );
//Redux::init('tt_options');
}

function tt_port_convert(){

	if( get_option( 'tt_is_port_convert_needed' ) == 'no' )   return; // no need

    // Start converting Meta data
    $tt_all_portfolio = get_posts( array( 'post_status' => 'publish', 'post_type' => 'portfolio' ) );
    if( is_array($tt_all_portfolio) && count($tt_all_portfolio) < 100 ) { // more than 100 freezes the fn

        foreach($tt_all_portfolio as $portfolio) {
			  $custArraya = array();
              $post_id = $portfolio->ID;
              $_portfolio_url = get_post_meta( $post_id, '_portfolio_url', true );
              $lightbox_url = get_post_meta( $post_id, 'lightbox-url', true );
              $layout = get_post_meta( $post_id, '_layout', true  );
              $custArray = array(
                  '_portfolio_url'=>$_portfolio_url,
                  'lightbox-url'=>$lightbox_url,
                  '_layout'=>$layout
              );
                //echo 'dinesh'. $custArraya['_single_disable_headline'].'dinesh2';

                if ( ! add_post_meta( $post_id, '_tt_meta_portfolio_opt',$custArray, true ) ) {
                   update_post_meta ( $post_id, '_tt_meta_portfolio_opt',$custArray );
                }
		      wp_update_post( $portfolio );
        }
	update_option( 'tt_is_port_convert_needed', 'no' );

    }
}

function tt_page_convert(){

	if( get_option( 'tt_is_page_convert_needed' ) == 'no' )   return; // no need

    // Start converting page data

    $tt_all_posts = get_pages( array( 'post_status' => 'publish' ) );
    if( is_array($tt_all_posts) && count($tt_all_posts) < 120 ) { // we dont want to freeze

        foreach($tt_all_posts as $page) {
			  $custArraya = array();
              $post_id = $page->ID;
              $single_disable_headline = get_post_meta( $post_id, '_single_disable_headline', true );
              $single_headline_heading = get_post_meta( $post_id, '_single_headline_heading', true );
              $single_headline_message = get_post_meta( $post_id, '_single_headline_message', true  );
              $hide_title_display = get_post_meta( $post_id, '_hide_title_display', true  );
              $single_disable_breadcrumbs = get_post_meta( $post_id, '_single_disable_breadcrumbs', true  );
              $single_page_slider = get_post_meta( $post_id, '_single_page_slider', true  );
              $layout = get_post_meta( $post_id, '_layout', true  );

	          if( $single_disable_headline == 'true' ) $single_disable_headline = '1'; elseif( $single_disable_headline == 'false' ) $single_disable_headline = '0';
	          if( $hide_title_display == 'true' ) $hide_title_display = '1'; elseif( $hide_title_display == 'false' ) $hide_title_display = '0';
	          if( $single_disable_breadcrumbs == 'true' ) $single_disable_breadcrumbs = '1'; elseif( $single_disable_breadcrumbs == 'false' ) $single_disable_breadcrumbs = '0';

              $custArraya = array(
                  '_single_disable_headline'=>$single_disable_headline,
                  '_single_headline_heading'=>$single_headline_heading,
                  '_single_headline_message'=>$single_headline_message,
                  '_hide_title_display'=>$hide_title_display,
                  '_single_disable_breadcrumbs'=>$single_disable_breadcrumbs,
                  '_single_page_slider'=>$single_page_slider,
                  '_layout'=>$layout
              );

                if ( ! add_post_meta( $post_id, '_tt_meta_page_opt',$custArraya, true ) ) {
                   update_post_meta ( $post_id, '_tt_meta_page_opt',$custArraya );
                }
	          wp_update_post( $page );
        }
	update_option( 'tt_is_page_convert_needed', 'no' );

    }

}
function tt_posts_convert(){

	if( get_option( 'tt_is_post_convert_needed' ) == 'no' )   return; // no need

    // Start converting page data

    $tt_all_posts = get_posts( array( 'post_status' => 'publish', 'post_type' => 'post', ) );
    if( is_array($tt_all_posts) && count($tt_all_posts) < 100 ) { // more than 100 freezes the fn

        foreach($tt_all_posts as $page) {
			  $custArraya = array();
              $post_id = $page->ID;
              $single_disable_headline = get_post_meta( $post_id, '_single_disable_headline', true );
              $single_headline_heading = get_post_meta( $post_id, '_single_headline_heading', true );
              $single_headline_message = get_post_meta( $post_id, '_single_headline_message', true  );
              $hide_title_display = get_post_meta( $post_id, '_hide_title_display', true  );
              $single_disable_breadcrumbs = get_post_meta( $post_id, '_single_disable_breadcrumbs', true  );
              $single_page_slider = get_post_meta( $post_id, '_single_page_slider', true  );
              $layout = get_post_meta( $post_id, '_layout', true  );
              $custArraya = array(
                  '_single_disable_headline'=>$single_disable_headline,
                  '_single_headline_heading'=>$single_headline_heading,
                  '_single_headline_message'=>$single_headline_message,
                  '_hide_title_display'=>$hide_title_display,
                  '_single_disable_breadcrumbs'=>$single_disable_breadcrumbs,
                  '_single_page_slider'=>$single_page_slider,
                  '_layout'=>$layout
              );
                //echo 'dinesh'. $custArraya['_single_disable_headline'].'dinesh2';

                if ( ! add_post_meta( $post_id, '_tt_meta_page_opt',$custArraya, true ) ) {
                   update_post_meta ( $post_id, '_tt_meta_page_opt',$custArraya );
                }
	          wp_update_post( $page );
        }
	update_option( 'tt_is_post_convert_needed', 'no' );

    }

}
function tt_product_convert(){

	if( get_option( 'tt_is_prod_convert_needed' ) == 'no' )   return; // no need

    // Start converting page data

    $tt_all_posts = get_posts( array( 'post_status' => 'publish', 'post_type' => 'product', ) );
    if( is_array($tt_all_posts) && count($tt_all_posts) < 100 ) { // more than 100 freezes the fn

        foreach($tt_all_posts as $page) {
			  $custArraya = array();
              $post_id = $page->ID;
              $single_disable_headline = get_post_meta( $post_id, '_single_disable_headline', true );
              $single_headline_heading = get_post_meta( $post_id, '_single_headline_heading', true );
              $single_headline_message = get_post_meta( $post_id, '_single_headline_message', true  );
              $hide_title_display = get_post_meta( $post_id, '_hide_title_display', true  );
              $single_disable_breadcrumbs = get_post_meta( $post_id, '_single_disable_breadcrumbs', true  );
              $single_page_slider = get_post_meta( $post_id, '_single_page_slider', true  );
              $layout = get_post_meta( $post_id, '_layout', true  );
              $custArraya = array(
                  '_single_disable_headline'=>$single_disable_headline,
                  '_single_headline_heading'=>$single_headline_heading,
                  '_single_headline_message'=>$single_headline_message,
                  '_hide_title_display'=>$hide_title_display,
                  '_single_disable_breadcrumbs'=>$single_disable_breadcrumbs,
                  '_single_page_slider'=>$single_page_slider,
                  '_layout'=>$layout
              );
                //echo 'dinesh'. $custArraya['_single_disable_headline'].'dinesh2';

                if ( ! add_post_meta( $post_id, '_tt_meta_page_opt',$custArraya, true ) ) {
                   update_post_meta ( $post_id, '_tt_meta_page_opt',$custArraya );
                }
	          wp_update_post( $page );
        }
	update_option( 'tt_is_prod_convert_needed', 'no' );
    }

}
function tt_sidebar_convert(){

	if( get_option( 'tt_is_sidebar_convert_needed' ) == 'no' )   return; // no need

    // Start converting page data

    $tt_all_posts = get_posts( array( 'post_status' => 'publish', 'post_type' => 'sidebar', ) );
    if( is_array($tt_all_posts) && count($tt_all_posts) < 50 ) { // more than 100 freezes the fn

        foreach($tt_all_posts as $page) {
	          wp_update_post( $page );
        }
	update_option( 'tt_is_sidebar_convert_needed', 'no' );
    }
}

add_filter('widget_text', 'do_shortcode');

// Adding versions
add_action( 'current_screen', 'tt_update_version' );
function tt_update_version( $current_screen ) {
	if ( 'appearance_page_tgmpa-install-plugins' == $current_screen->base ) {
		if( function_exists( 'tt_firstInst_admin_notice' )) add_action( 'admin_notices', 'tt_firstInst_admin_notice' ); // add notice.
	}
	if ( 'toplevel_page__templatation' == $current_screen->base ) {

		$woo_theme = wp_get_theme();
		$woo_this_theme_ver = $woo_theme->get( 'Version' );
		$theme_update_log = get_option( 'woo_theme_updates_log');

        if ( ! $theme_update_log ) $theme_update_log = array();

		// First update
		if ( ! in_array('6.0', $theme_update_log) ) {
			array_unshift($theme_update_log, '6.0');
			update_option( 'woo_theme_updates_log', $theme_update_log);
		}

		if ( ! in_array($woo_this_theme_ver, $theme_update_log) ) {
			array_unshift($theme_update_log, $woo_this_theme_ver);
			update_option( 'woo_theme_updates_log', $theme_update_log);
		}

	}
}


if( !function_exists( 'tt_firstInst_admin_notice' )) {
	function tt_firstInst_admin_notice() {

			 print '<div class="updated notice is-dismissible" style="padding: 25px 12px;"><span style="text-align:center;font-weight: bold;color:green;"> ' .
		     esc_html__( 'Thanks for Activating Justshop WordPress theme.', 'templatation' ) . '</span>'
			 . '<br /> <br />' .

		     esc_html__( 'Theme requires few bundled plugins to function on its full power. Please Install and Activate plugins below.', 'templatation' )

			 . '<br />' .

		     esc_html__( 'You can choose not to install any particular plugin if you do not need it. eg woocommerce ', 'templatation' )

			 . '<br /> <br />' .

			 '<span style="text-align:center;font-weight: bold;color:green;"> ' .
		     esc_html__( 'After plugins are activated, Click Dashboard on left top, then go to Appearance > Theme Setup Wizard for further setup.', 'templatation' ) . '</span>'

		     . '</div>';
	}
}


function woo_version () {
    $data = wooframework_get_theme_version_data();
	echo "\n<!-- Theme version -->\n";
    if ( isset( $data['is_child'] ) && true == $data['is_child'] ) echo '<meta name="generator" content="'. esc_attr( $data['child_theme_name'] . ' ' . $data['child_theme_version'] ) . '" />' ."\n";
    echo '<meta name="generator" content="'. esc_attr( $data['theme_name'] . ' ' . $data['theme_version'] ) . '" />' ."\n";
} // End woo_version()

// Add or remove Generator meta tags
if ( ! is_admin() && get_option( 'framework_woo_disable_generator' ) == '1' ) {
	remove_action( 'wp_head',  'wp_generator' );
} else {
	add_action( 'wp_head', 'woo_version', 10 );
}
/*-----------------------------------------------------------------------------------*/
/* Load the required Framework Files */
/*-----------------------------------------------------------------------------------*/

$functions_path = get_template_directory() . '/functions/';
$classes_path = $functions_path . 'classes/';

require_once ( $functions_path . 'admin-functions.php' );					// Custom functions and plugins
require_once ( $functions_path . 'admin-setup.php' );						// Options panel variables and functions
//require_once ( $functions_path . 'admin-interface.php' );					// Admin Interfaces (options,framework, seo)
require_once ( $functions_path . 'admin-hooks.php' );						// Definition of WooHooks

// Load certain files only in the WordPress admin.
if ( is_admin() ) {
}


// admin styles.
if ( ! function_exists( 'justshop_tt_admin_styles' ) ) {
	function justshop_tt_admin_styles() {

		wp_enqueue_style( 'theme-admin-css', get_template_directory_uri() . '/css/jsadmin.css' );

	} add_action('admin_enqueue_scripts', 'justshop_tt_admin_styles', 200);
}
