<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.


require_once ( JS_THEME_PATH . '/functions/theme-updates.php' );


/**
 * top level menu
 */
function temptt_thm_dashboard_page() {

  $icon = ''; // supply img icon here later.

 // add top level menu page
 add_menu_page(
 'Welcome To Theme Dashboard',
 'Theme Options',
 'manage_options',
 'templatation_dashboard',
 'tt_dashboard_main_page',
  $icon,
 '45.51'
 );
	//remove_submenu_page ('templatation_dashboard', 'templatation_dashboard');
	add_submenu_page(
		'templatation_dashboard',
		esc_html__('Welcome', 'templatation'),
		esc_html__('Welcome', 'templatation'),
		 'manage_options',
		'templatation_dashboard',
		'tt_dashboard_main_page'
	);


}

/**
 * register our temptt_thm_demo_page to the admin_menu action hook
 */
add_action( 'admin_menu', 'temptt_thm_dashboard_page' );


function tt_dashboard_main_page() {

	$temptt_thmname = temptt_get_theme_version_data();

?>
<div id="kc-settings" class="wrap about-wrap">
	<?php
	ob_start();
	?>
	<h1><?php esc_html_e('Welcome to '. esc_attr( $temptt_thmname['parent_theme_name'] ) .' Theme Dashboard!', 'templatation'); ?></h1>
	<div class="about-text">
		<?php _e('Thank you for purchasing  '. esc_attr( $temptt_thmname['parent_theme_name'] ) .' theme. You are awesome.', 'templatation'); ?>
	</div>
	<?php
	$about = ob_get_contents();
	ob_end_clean();
	echo apply_filters('kc_setting_about', $about);
	ob_start();
	?>
	<div class="wp-badge kc-badge">
		<?php _e('Version', 'templatation'); ?> <?php echo esc_attr( $temptt_thmname['parent_theme_version'] ); ?>
	</div>
	<?php
	$version = ob_get_contents();
	ob_end_clean();
	echo apply_filters('kc_setting_version', $version);
	ob_start();
	?>
	<h2 class="nav-tab-wrapper">
		<a href="<?php echo esc_url(admin_url()).'admin.php?page=templatation_dashboard' ?>" class="nav-tab <?php if($_GET['page'] == 'templatation_dashboard') echo 'nav-tab-active'; ?>" id="kc_product_license-tab">
			<?php _e('General', 'templatation'); ?>
		</a>
		<a href="<?php echo esc_url(admin_url()).'admin.php?page=_templatation' ?>" class="nav-tab" id="kc_themeoptions-tab">
			<?php _e('Theme Options', 'templatation'); ?>
		</a>
	</h2>
	<?php
	$tab_nav = ob_get_contents();
	ob_end_clean();
	echo apply_filters('kc_setting_tab_nav', $tab_nav);

	?>

	<?php

	$update_themes = get_site_transient( 'update_themes' );

    if ( isset( $update_themes->response[ $temptt_thmname['parent_theme_slug'] ] ) )
	{
		ob_start();
	?>
	<div class="temptt-updated">
		<p>
			<i class="dashicons dashicons-update"></i>
            <?php echo sprintf( esc_html__( 'There is a new version of '. $temptt_thmname['parent_theme_name'] .' theme available. Please update by going to %s.', 'templatation' ), '<a href="' . esc_url( admin_url('themes.php') ).'">'.esc_html__( 'Appearance -> Themes', 'templatation' ).'</a>' )
            ?>
		</p>
	</div>
	<?php
		$kc_update = ob_get_contents();
		ob_end_clean();
		echo apply_filters('kc_setting_update', $kc_update);
	}

?>

		<div id="kc_product_license" class="group p">
			<?php
			ob_start();
			?>
			<div class="kc-license-notice"></div>
			<h3>
				<?php _e('Please enter your license key for '. esc_attr( $temptt_thmname['parent_theme_name'] ) .' theme and enjoy 1 click auto updates and stellar support!', 'templatation'); ?>
			</h3>



			
<div id="temptt-tab-activate" class="col cols panel temptt-panel">
	<div class="inner-panel">
		<h3>Theme Purchase code</h3>
		<?php

    $slug = get_template();

    $output = '';

    //get errors so we can show them
    $errors = get_option( $slug . '_wup_errors', array() );
    delete_option( $slug . '_wup_errors' ); //delete existing errors as we will handle them next
    //check if we have a purchase code saved already
    $purchase_code = sanitize_text_field( get_option( $slug . '_wup_purchase_code', '' ) );

    //output errors and notifications
    if ( ! empty( $errors ) ) {
      foreach ( $errors as $key => $error ) {
        echo '<div class="notice-error notice-alt"><p>' . $error . '</p></div>';
      }
    }

    if ( ! empty( $purchase_code ) ) {
      if ( ! empty( $errors ) ) {
        //since there is already a purchase code present - notify the user
        $slug = get_template();
        update_option( strtolower( $slug ) . '_wup_purchase_code', '' );
        $purchase_code = false;
        echo '<div class="notice-warning notice-alt"><p>' . esc_html__( 'Purchase code removed.' ) . '</p></div>';
      } else {
        //this means a valid purchase code is present and no errors were found
       echo '<div class="notice-success notice-alt notice-large" style="margin-bottom:15px!important">' . __( 'Your <strong>purchase code is valid</strong>. Thank you! Enjoy Justshop Theme and automatic updates.' ) . '</div>';
      }
    }

    if ( empty( $purchase_code ) ) {
    echo '<form class="wupdates_purchase_code" action="" method="post">' .
             __( '<p>Enter your purchase code and <strong>hit return/enter</strong>. Find out how to <a href="https://help.market.envato.com/hc/en-us/articles/202822600-Where-Is-My-Purchase-Code-" target="_blank">get your purchase code</a>.</p>' ) .
             '<input type="hidden" name="wupdates_pc_theme" value="' . $slug . '" />' .
             '<input type="text" id="' . sanitize_title( $slug ) . '_wup_purchase_code" name="' . sanitize_title( $slug ) . '_wup_purchase_code"
              value="' . $purchase_code . '" placeholder="Purchase code ( e.g. aa97ob7c-4bbc-46ce-9910-6f8093cc0e70 )" style="width:100%; padding:10px;"/><br/><br/><input type="submit" class="button button-large button-primary" value="Activate"/>
      </form>';
  	} else{
    echo '<form class="wupdates_purchase_code" action="" method="post">' .
             '<input type="hidden" name="wupdates_pc_theme" value="' . $slug . '" />' .
             '<input type="text" id="' . sanitize_title( $slug ) . '_wup_purchase_code" name="' . sanitize_title( $slug ) . '_wup_purchase_code"
              value="' . $purchase_code . '" placeholder="Purchase code ( e.g. aa97ob7c-4bbc-46ce-9910-6f8093cc0e70 )" style="width:100%; padding:10px;"/><br/><br/><input type="submit" class="button button-large button-primary" value="Update"/>
      </form>';
  	}
?>
  <small style="padding-top: 10px; margin-top: 15px; opacity: .8; display: block; border-top: 1px solid #eee;">A purchase code (license) is only valid for <strong>One Domain</strong>. If you using this theme on a new domain, Purchase a <a href="//themeforest.net/item/justshop-cake-wordpress-theme/4747148?ref=templatation" target="_blank">new license here</a> to get a new purchase code. To remove a purchase code simply remove the code and click update.</small>
	</div>
  <?php if(temptt_is_pcode_entered()){ ?>
	<div class="inner-panel">
  <?php

     // Sold at
    $sold = date("F jS, Y",strtotime(get_option( $slug . '_wup_sold_at', '' )));

    // Supported until
    $support_ends = date("F jS, Y",strtotime(get_option( $slug . '_wup_supported_until', '' )));

    $support_message = '<span style="color:green">Active</span>';

    // If support expired
    if(temptt_is_support_expired($slug)){
      $support_message = '<strong style="color:red;">Expired</strong>';
    }

    // Buyer
    $buyer = get_option( $slug . '_wup_buyer', '' )

    ?>
    <h3>License details</h3>
    <style>.license-table{width: 100%;} .license-table td{padding: 10px 0; border-bottom: 1px solid #eee;}</style>
    <table class="license-table">
     <tbody>
      <tr>
        <td><strong>Purchased</strong></td>
        <td><?php echo $sold; ?></td>
      </tr>
      <tr>
        <td>
          <?php if(temptt_is_support_expired($slug)){ ?>
            <strong>Support ended</strong>
          <?php } else { ?>
            <strong>Support ends</strong>
          <?php } ?>
        </td>
        <td><?php echo $support_ends; ?></td>
      </tr>
     <tr>
        <td><strong>Support Status</strong></td>
        <td><?php echo $support_message; ?></td>
      </tr>
      <tr>
        <td><strong>Username</strong></td>
        <td><?php echo $buyer; ?></td>
      </tr>
      </tbody>
    </table>
    <?php if(temptt_is_support_expired($slug)){ ?>
        <a target="_blank" href="//themeforest.net/item/justshop-cake-wordpress-theme/4747148?ref=templatation" class="button button-warning" style="color:red; margin-top: 15px;">+ Extend Support time</a>
        <br><small style="margin-top:10px;opacity: .6;display: block;">Try click the Update button above if you have already extended support</small>
    <?php } ?>
	</div>
  <?php } ?>
</div>






			<?php
			$kc_license_tab = ob_get_contents();
			ob_end_clean();
			echo apply_filters('kc_setting_license', $kc_license_tab);
			?>
		</div>

		<?php //kc_changelogs(); ?>
</div>
<!--<script type="text/javascript" src="<?php // echo esc_url(plugin_dir_url( __FILE__ )); ?>js/dashboard.settings.js"></script> -->

<?php
}

