<?php
if ( ! defined( 'ABSPATH' ) ) exit;

// Register widgetized areas
if ( ! function_exists( 'the_widgets_init' ) ) {
function the_widgets_init() {
	global $tt_options;
    if ( ! function_exists( 'register_sidebar' ) )
        return;

    register_sidebar(array( 'name' => __( 'Primary', 'templatation' ),'id' => 'primary','description' => __( 'Default sidebar.', 'templatation' ), 'before_widget' => '<div id="%1$s" class="widget %2$s">','after_widget' => '</div>','before_title' => '<h3>','after_title' => '</h3>'));   
   
    // Footer widgetized areas
	if ( isset( $tt_options['tt_footer_sidebars'] ) && ( $tt_options['tt_footer_sidebars'] != '' ) ) {
		$total = $tt_options['tt_footer_sidebars'];
	}
	else $total = 4;
	if ( ! $total ) $total = 4;
	for ( $i = 1; $i <= intval( $total ); $i++ ) {
		register_sidebar( array( 'name' => sprintf( __( 'Footer %d', 'templatation' ), $i ), 'id' => sprintf( 'footer-%d', $i ), 'description' => sprintf( __( 'Widgetized Footer Region %d.', 'templatation' ), $i ), 'before_widget' => '<div id="%1$s" class="widget %2$s">', 'after_widget' => '</div>', 'before_title' => '<h3>', 'after_title' => '</h3>' ) );
	}

	register_sidebar( array( 'name' => __( 'Homepage', 'templatation' ), 'id' => 'homepage', 'description' => __( 'Optional widgetized homepage (displays only if widgets are added here).', 'templatation' ), 'before_widget' => '<div id="%1$s" class="widget %2$s">', 'after_widget' => '</div>', 'before_title' => '<h3>', 'after_title' => '</h3>' ) );
} // End the_widgets_init()
}

add_action( 'init', 'the_widgets_init' );  
?>