<?php
if ( ! defined( 'ABSPATH' ) ) { die( '-1' ); }
/*
 * Templatation.com
 *
 * Social Accordion for VC
 *
 */
function tt_rp_icon_box_fn_vc() {

	$target_arr = array(
		esc_html__( 'Same window', 'templatation' ) => '_self',
		esc_html__( 'New window', 'templatation' ) => '_blank',
	);

	vc_map(
		array(
			"icon" => 'tt-vc-block',
			"name" => esc_html__("Info Box", 'templatation'),
			"base" => "tt_rp_icon_box_shortcode",
			'description' => esc_html__( 'Info box with title, icon and desc.', 'templatation' ),
			"category" => __('Added by JS'),
			"params" => array(

				array(
					"type" => "textfield",
					"heading" => esc_html__("Title", 'templatation'),
					"description" => esc_html__("Enter title text.", 'templatation'),
					"param_name" => "title",
					"admin_label" => true,
				),
				array(
					'type'        => 'colorpicker',
					'heading' => esc_html__( 'Title color', 'templatation' ),
					'param_name'  => 'titlecolor',
					'value'       => '',
				),
				array(
					'type' => 'textarea_html',
					'heading' => esc_html__( 'Text info', 'templatation' ),
					'param_name' => 'content',
					'value' => '',
					'description' => esc_html__( 'Enter description of this service', 'templatation' )
				),
				array(
					'type'        => 'iconpicker',
					'heading'     => esc_html__( 'Type icon', 'templatation' ),
					'param_name'  => 'type_icon',
					'value'       => '',
					'settings' => array(
						'emptyIcon' => false,
						'iconsPerPage' => 300,
					),
				),
				array(
					'type'        => 'colorpicker',
					'heading' => esc_html__( 'Icon color', 'templatation' ),
					'param_name'  => 'iconcolor',
					'value'       => '',
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Link", 'templatation'),
					"description" => esc_html__("The title is linked to this link", 'templatation'),
					"param_name" => "Link",
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Extra class name', 'templatation' ),
					'param_name' => 'el_class',
					'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'templatation' ),
				),
				array(
					'type' => 'css_editor',
					'heading' => esc_html__( 'Css', 'templatation' ),
					'param_name' => 'css',
					'group' => esc_html__( 'Design options', 'templatation' ),
				),

			)
		)
	);

}
add_action( 'vc_before_init', 'tt_rp_icon_box_fn_vc' );

if(class_exists('WPBakeryShortCode')) {
	class WPBakeryShortCode_tt_rp_icon_box_shortcode extends WPBakeryShortCode {
	}
}