<?php
/**
 * Single Portfolio Template
 *
 * This template is the portfolio item page template. It is used to display content when someone is viewing a
 * singular view of a portfolio item ('portfolio' post_type).
 * @link http://codex.wordpress.org/Post_Types#Post
 *
 * @package wooFramework
 * @subpackage Template
 */
	get_header();
	global $tt_options;
	
/**
 * The Variables
 *
 * Setup default variables, overriding them if the "Theme Options" have been saved.
 */
	
	$settings = array(
					'thumb_single' => '0',
					'single_w' => 200, 
					'single_h' => 200, 
					'thumb_single_align' => 'alignright'
					);
					
	$settings = tt_get_dynamic_values( $settings );
?>
       
    <div id="content" class="col-full">
    	<div class="single-portfolio">
	        <?php
	        	if ( have_posts() ) { $count = 0;
	        		while ( have_posts() ) { the_post(); $count++;
	        ?>
			<header class="page_title">
			
				<h1 class="title page-title"><?php the_title(); ?></h1>
									
			</header>
			<section id="main" class="fullwidth">
	            
	            <div class="single-portfolio-gallery fix">
				
				<?php
					$width = 500;
					$args = 'width=' . $width;
					//$embed = woo_embed( $args );
					$embed ='';

					if ( $embed != '' ) {
						echo $embed;
					} else {
						
						$args .= '&return=true&link=img&noheight=true';
	
						$html = '';
						$rel = 'lightbox';
						
						// Get the other images.
						$images = woo_get_post_images( 0, 'full' );

						if ( count( $images ) > 0 ) {
							$rel = 'lightbox[' . get_the_ID() . ']';
						}					
						
						// Store featured image ID for exclusion
						if ( isset( $tt_options['tt_post_image_support'] ) && ( $tt_options['tt_post_image_support'] == '1' ) && current_theme_supports( 'post-thumbnails' ) && function_exists('get_post_thumbnail_id') ) {
							$post_id = get_the_ID();
							$featured_image_id = get_post_thumbnail_id( $post_id );
						} else {
							$featured_image_id = '';
						}
						
						if ( $featured_image_id != '' ) {
							$html .= '<div class="portfolio-item single-portfolio-image ">';
							$image_data = wp_get_attachment_image_src( $featured_image_id, 'full' );
							$image_url = $image_data[0];
							$html .= '<a href="' . $image_url . '" data-rel="' . $rel . '">' . get_the_post_thumbnail( $post_id ) . '</a>' . "\n";
							$html .= '</div>';
						}
						
						if ( count ( $images ) > 0 ) {		
							foreach ( $images as $k => $v ) {
								$pos = false;
								
								// Skip if the image is used as the posts featured image
								if ( $featured_image_id == $v['id'] ) continue;
								
								if ( isset($image_url) && $image_url != '' && $v['url'] != '' ) {
									$pos = strpos( $v['url'], $image_url );
								}
								
								if ( $pos === false || ( $v['url'] != $image_url ) ) {
									$html .= '<div class="portfolio-item single-portfolio-image ">';
									
									// Use vt_resize to dynamically resize attached images
									$image = vt_resize( $v['id'], null, $width, null, true );						
									$html .= '<a href="' . $v['url'] . '" rel="' . $rel . ']"><img src="' . $image['url'] . '" width="' . $image['width'] . '" /></a>' . "\n";
									
									$html .= '</div>';
								}
							}
						}
						
						echo '<div class="portfolio-item-wrapper">'.$html.'</div>';
					}
				?>
				
				<article <?php post_class(); ?>>
	
	                <section class="entry">
	                	<?php the_content(); ?>
						<?php
						// Check for custom URL on item
						$woo_meta_portfolio_opt = get_post_meta( $post->ID, '_tt_meta_portfolio_opt', true );
						$custom_url = '';
						if(!empty($woo_meta_portfolio_opt['_portfolio_url'])) $custom_url = $woo_meta_portfolio_opt['_portfolio_url'];
						if ($custom_url != ''): ?><a class="button" href="<?php echo $custom_url ?>"><?php _e('View Project', 'templatation') ?></a><?php endif; ?>
						<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'templatation' ), 'after' => '</div>' ) ); ?>
					</section>
										
	
	            </article><!-- .post -->

				</div><!-- /.single-portfolio-gallery -->
				            
	            <div class="fix"></div><div class="tt-sc-divider"></div>
	            <?php
	            		// Determine wether or not to display comments here, based on "Theme Options".
	            		if ( isset( $tt_options['tt_comments'] ) && in_array( $tt_options['tt_comments'], array( 'post', 'both' ) ) ) {
	            	  		woo_portfolio_meta( '' );
	            			comments_template();
	            		}
	
					} // End WHILE Loop
				} else {
			?>
				<article <?php post_class(); ?>>
	            	<p><?php _e( 'Sorry, no posts matched your criteria.', 'templatation' ); ?></p>
				</article><!-- .post -->             
	       	<?php } ?>  
	        
			</section><!-- #main -->
		</div>
    </div><!-- #content -->
		
<?php get_footer(); ?>