<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
/**
 * Template Name: Custom Homepage
 *
 * The blog page template displays the "homepage".
 *
 * @package wooFramework
 * @subpackage Template
 *
 * Here we setup all logic and XHTML that is required for the index template.
 *
 * @package wooFramework
 * @subpackage Template
 */

global $tt_options;
get_header();

$settings = array(
	'homepage_enable_product_categories' => '1',
	'homepage_enable_featured_products'  => '1',
	'homepage_enable_recent_products'    => '1',
	'homepage_enable_testimonials'       => '1',
	'homepage_enable_content'            => '0',
	'homepage_product_categories_title'  => '',
	'homepage_product_categories_limit'  => 3,
	'homepage_featured_products_title'   => 'Few of Awesome Products from our Store',
	'homepage_featured_products_limit'   => 4,
	'homepage_recent_products_title'     => '',
	'homepage_recent_products_limit'     => 4,
	'homepage_about_home_section'        => '1',
	'homepage_content_type'              => 'posts',
	'homepage_page_id'                   => '',
	'homepage_posts_sidebar'             => '1',
	'js_layout'                          => 'js_950',
	'homepage_vc_bottom'                 => '1'
);
$settings = tt_get_dynamic_values( $settings );

$layout_class = 'col-left';
if ( '1' != $settings['homepage_posts_sidebar'] ) {
	$layout_class = 'full-width';
}
?>

	<div id="content" class="col-full">

		<?php woo_main_before(); ?>

		<?php if ( ! $settings['homepage_vc_bottom'] ) {
		/* Start the Loop, this displays any content entered in page editor. */ ?>
		<?php while ( have_posts() ) : the_post(); if($post->post_content != "") { ?>
			<div class="homepage-content">
			<?php the_content(); ?>
			</div><!-- /.homepage-content -->
		<?php } endwhile;  } ?>

		<!-- product categories block -->
		<div class="woocommerce woocommerce-wrap <?php if ( is_active_sidebar( 'homepage' ) ) {
			echo "jssidebar";
		} ?>">
			<?php
			if ( ! dynamic_sidebar( 'homepage' ) ) {
				if ( '1' == $settings['homepage_enable_product_categories'] && is_woocommerce_activated() ) {
					the_widget( 'woo_Product_Categories', array( 'title'               => $settings['homepage_product_categories_title'],
					                                            'categories_per_page' => intval( $settings['homepage_product_categories_limit'] )
					) );
				}
			}
			?>
		</div>
		<!--/.woocommerce-->

		<!-- Home about us and testimonial section block -->
		<?php
		if ( '1' == $settings['homepage_about_home_section'] ) { ?>
			<div id="about-home" class="col-full">
				<?php get_template_part( 'includes/about-home' ); ?>
			</div><!--/#about-home-->
		<?php }  ?>

		<!-- Featured Products block -->
		<?php if ( '1' == $settings['homepage_enable_featured_products'] && is_woocommerce_activated() ) { ?>
			 <?php $ttwchomecols = '';
			$ttwchomecols = ( $settings['js_layout'] == 'js_1170' ) ? 'woocommerce-columns-5' : 'woocommerce-columns-4'; ?>
			<div class="woocommerce woocommerce-wrap home-featured <?php echo $ttwchomecols; ?>">
				<h2><?php echo $settings['homepage_featured_products_title']; ?></h2>
				<?php echo do_shortcode('[featured_products per_page="'.$settings['homepage_featured_products_limit'].'" columns="'.$ttwchomecols.'"]') ?>
				<?php /*the_widget( 'woo_Featured_Products', array( 'title'             => $settings['homepage_featured_products_title'],
				                                                 'products_per_page' => $settings['homepage_featured_products_limit']
				) ); */?>
			</div><!--/.woocommerce-->
		<?php } ?>

		<!-- Homepage content area block -->
		<?php if ( '1' == $settings['homepage_enable_content'] ) { ?>
			<div class="home-content fix">
				<section id="main" class="<?php echo esc_attr( $layout_class ); ?>">
					<?php woo_loop_before(); ?>
					<?php
					if ( 'page' == $settings['homepage_content_type'] && 0 < intval( $settings['homepage_page_id'] ) ) {
						global $post;
						if ( defined( 'ICL_LANGUAGE_CODE' ) && function_exists( 'icl_object_id' ) ) { // this is to not break code in case WPML is turned off, etc.
							$settings['homepage_page_id'] = icl_object_id( $settings['homepage_page_id'], 'page', true ); // swith to WPML generated page if applicable.
						}
						$post1 = get_page( intval( $settings['homepage_page_id'] ) );
						setup_postdata( $post1 );
						get_template_part( 'content', 'page' );
						wp_reset_postdata();
					} else { // show posts on homepage

						$homesettings = $hpcat = $hpnumposts = $home_posts = '';
						$homesettings = tt_get_dynamic_values( array( 'homepage_content_type'    => 'posts',
						                                              'homepage_number_of_posts' => get_option( 'posts_per_page' ),
						                                              'homepage_posts_category'  => ''
						) );
						$hpcat        = intval( $homesettings['homepage_posts_category'] );
						$hpnumposts   = intval( $homesettings['homepage_number_of_posts'] );
						$home_posts   = new WP_query();
						$home_posts->query( 'cat=' . $hpcat . '&showposts=' . $hpnumposts );
						if ( $home_posts->have_posts() ) : $count = 0;
							?>

							<?php /* Start the Loop */ ?>
							<?php while ( $home_posts->have_posts() ) : $home_posts->the_post();
								$count ++;
								global $more;
								$more = 0; ?>

								<?php
								/* Include the Post-Format-specific template for the content.
								 * If you want to overload this in a child theme then include a file
								 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
								 */
								get_template_part( 'content', get_post_format() );
								?>

							<?php endwhile; ?>

						<?php else : ?>

							<article <?php post_class(); ?>>
								<p><?php _e( 'Sorry, no posts matched your criteria.', 'templatation' ); ?></p>
							</article><!-- /.post -->

						<?php endif; ?>
					<?php }
					wp_reset_postdata(); ?>
					<?php woo_loop_after(); ?>

					<?php
					if ( 'posts' == $settings['homepage_content_type'] ) {
						woo_pagenav();
					}
					?>

				</section>
				<!-- /#main -->
				<?php if ( '1' == $settings['homepage_posts_sidebar'] ) {
					get_sidebar();
				} ?>
			</div><!-- /.home-content -->
		<?php } ?>

		<?php if ( $settings['homepage_vc_bottom'] ) {
		/* Start the Loop, this displays any content entered in page editor. */ ?>
		<?php while ( have_posts() ) : the_post(); if($post->post_content != "") { ?>
			<div class="homepage-content">
			<?php the_content(); ?>
			</div><!-- /.homepage-content -->
		<?php } endwhile;  } ?>


		<?php woo_main_after(); ?>

	</div><!-- /#content -->

<?php get_footer(); ?>