<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @package justshoppe
 */
// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

get_header(); ?>

<?php if ( justshoppe_is_fresh_install() ) {

	/**
	 * The template for displaying 404 pages (not found)
	 *
	 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
	 *
	 * @package Justshoppe
	 */

// Prevent direct access.
	if ( ! defined( 'ABSPATH' ) ) exit;

	/**
	 * Header
	 */
	get_header();

	/**
	 * Error 404 content
	 */
	justshoppe_get_template_part( 'error-404' );

	/**
	 * Footer
	 */
	get_footer();

} else {
	?>
	<div id="primary" class="content-area">

		<main id="main" class="site-main" role="main">

			<div class="error-404 not-found">

				<div class="page-content">

					<header class="page-header">
						<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'justshoppe' ); ?></h1>
					</header><!-- .page-header -->

					<p><?php esc_html_e( 'Nothing was found at this location. Try searching, or check out the links below.', 'justshoppe' ); ?></p>

					<?php
					echo '<section aria-label="' . esc_html__( 'Search', 'justshoppe' ) . '">';

					if ( justshoppe_is_woocommerce_activated() ) {
						the_widget( 'WC_Widget_Product_Search' );
					} else {
						get_search_form();
					}

					echo '</section>';

					if ( justshoppe_is_woocommerce_activated() ) {

						echo '<div class="fourohfour-columns-2">';

						echo '<section class="col-1" aria-label="' . esc_html__( 'Promoted Products', 'justshoppe' ) . '">';

						justshoppe_promoted_products();

						echo '</section>';

						echo '<nav class="col-2" aria-label="' . esc_html__( 'Product Categories', 'justshoppe' ) . '">';

						echo '<h2>' . esc_html__( 'Product Categories', 'justshoppe' ) . '</h2>';

						the_widget(
							'WC_Widget_Product_Categories', array(
								'count' => 1,
							)
						);

						echo '</nav>';

						echo '</div>';

						echo '<section aria-label="' . esc_html__( 'Popular Products', 'justshoppe' ) . '">';

						echo '<h2>' . esc_html__( 'Popular Products', 'justshoppe' ) . '</h2>';

						$shortcode_content = justshoppe_do_shortcode(
							'best_selling_products', array(
								'per_page' => 4,
								'columns'  => 4,
							)
						);

						echo $shortcode_content; // WPCS: XSS ok.

						echo '</section>';
					}
					?>

				</div><!-- .page-content -->
			</div><!-- .error-404 -->

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
}
get_footer();
