<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Justshoppe
 */

?>
<?php if ( justshoppe_is_fresh_install() ) {

	/**
	 * Content
	 */
	if ( apply_filters( 'justshoppe/frontend/show_content_wrapper', true ) ) {
		/**
		 * Content section - closing tag
		 */
		justshoppe_content_close();
	}

	/**
	 * Hook: justshoppe/frontend/before_footer
	 */
	do_action( 'justshoppe/frontend/before_footer' );


	if ( function_exists( 'hfe_render_footer' ) && true == hfe_footer_enabled() ):
		echo hfe_render_footer();

	else:
		/**
		 * Footer
		 */
		justshoppe_footer();

	endif;

	/**
	 * Hook: justshoppe/frontend/after_footer
	 */
	do_action( 'justshoppe/frontend/after_footer' );
	?>

	</div>
	</div>

	<?php
	/**
	 * Hook: justshoppe/frontend/after_canvas
	 */
	do_action( 'justshoppe/frontend/after_canvas' );

} else {
	?>

	</div><!-- .col-full -->
	</div><!-- #content -->

	<?php if ( function_exists( 'hfe_footer_enabled' ) && true == hfe_footer_enabled() ): ?>
		<?php echo hfe_render_footer(); ?>
	<?php else: ?>

		<?php do_action( 'justshoppe_before_footer' ); ?>

		<footer id="colophon" class="site-footer" role="contentinfo">
			<div class="col-full">

				<?php
				/**
				 * Functions hooked in to justshoppe_footer action
				 *
				 * @hooked justshoppe_footer_widgets - 10
				 * @hooked justshoppe_credit         - 20
				 */
				do_action( 'justshoppe_footer' );
				?>

			</div><!-- .col-full -->
		</footer><!-- #colophon -->

		<?php do_action( 'justshoppe_after_footer' ); ?>

	<?php endif; ?>

	</div><!-- #page -->
<?php
}
?>
<?php wp_footer(); ?>

</body>
</html>