<?php
/**
 * Justshoppe functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

if ( ! function_exists( 'justshoppe_check_version' ) ) {
	function justshoppe_check_version() {

		if( get_option( 'justshoppe_fresh_install') ) {
			return;
		}
		$checkprev_option = false;
		$checkprev_option = get_option( 'temptt_theme_components' );
		if ( empty($checkprev_option) ) { /* Should not be array or string. */
			update_option( 'justshoppe_fresh_install', '1');
		}

	} // End justshoppe_check_version()
	justshoppe_check_version();
}

if ( ! function_exists( 'justshoppe_is_fresh_install' ) ) {
	function justshoppe_is_fresh_install() {

		if( defined('JSE_FRESH_INSTALL') && JSE_FRESH_INSTALL ) {
			return true;
		}
		if( defined('JSE_OLD_INSTALL') && JSE_OLD_INSTALL ) {
			return false;
		}
		if( get_option( 'justshoppe_fresh_install') ) {
			return true;
		} else {
			return false;
		}

	} // End justshoppe_is_fresh_install()
}

if ( justshoppe_is_fresh_install() ) {
	/**
	 * ====================================================
	 * Theme constants
	 * ====================================================
	 */

	define( 'JUSTSHOPPE_INCLUDES_DIR', trailingslashit( get_template_directory() ) . 'includes' );

	define( 'JUSTSHOPPE_IMAGES_URL', trailingslashit( get_template_directory_uri() ) . 'assets/images' );

	define( 'JUSTSHOPPE_CSS_URL', trailingslashit( get_template_directory_uri() ) . 'assets/css' );

	define( 'JUSTSHOPPE_JS_URL', trailingslashit( get_template_directory_uri() ) . 'assets/js' );

	define( 'JUSTSHOPPE_VERSION', wp_get_theme( get_template() )->get( 'Version' ) );

	define( 'JUSTSHOPPE_ASSETS_SUFFIX', SCRIPT_DEBUG ? '' : '.min' );

	define( 'JUSTSHOPPE_PRO_WEBSITE_URL', esc_url( 'https://bolvo.com/justshoppe/' ) );

	define( 'JUSTSHOPPE_URL', esc_url( 'https://bolvo.com/justshoppe' ) );
	/**
	 * ====================================================
	 * Main theme class
	 * ====================================================
	 */
	require_once JUSTSHOPPE_INCLUDES_DIR . '/class-justshoppe.php';

} else {

	include_once get_template_directory(). '/helpers/init.php';  // Theme loading starts.

}