<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;
?>
<?php if ( justshoppe_is_fresh_install() ) { ?>

	<!DOCTYPE html>
	<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="profile" href="http://gmpg.org/xfn/11">

		<?php wp_head(); ?>
	</head>

	<body <?php body_class(); ?>>
	<?php
	/**
	 * Hook: wp_body_open
	 */
	wp_body_open();

	/**
	 * Hook: justshoppe/frontend/before_canvas
	 *
	 * @hooked justshoppe_skip_to_content_link - 1
	 * @hooked justshoppe_mobile_vertical_header - 10
	 */
	do_action( 'justshoppe/frontend/before_canvas' );
	?>

	<div id="canvas" class="justshoppe-canvas">
	<div id="page" class="site">

	<?php
	/**
	 * Hook: justshoppe/frontend/before_header
	 */
	do_action( 'justshoppe/frontend/before_header' );


	if ( function_exists( 'hfe_header_enabled' ) && true == hfe_header_enabled() ):
		echo hfe_render_header();

	else:
		/**
		 * Header
		 */
		justshoppe_header();

	endif;

	/**
	 * Hook: justshoppe/frontend/after_header
	 */
	do_action( 'justshoppe/frontend/after_header' );

	/**
	 * Content
	 */
	if ( apply_filters( 'justshoppe/frontend/show_content_wrapper', true ) ) {
		/**
		 * Content Section - opening tag
		 */
		justshoppe_content_open();

	}
} else {
	?>
	<!doctype html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=2.0">
		<link rel="profile" href="http://gmpg.org/xfn/11">
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

		<?php wp_head(); ?>
	</head>

<body <?php body_class(); ?>>

	<?php do_action( 'justshoppe_before_site' ); ?>

<div id="page" class="hfeed site">

	<?php if ( function_exists( 'hfe_header_enabled' ) && true == hfe_header_enabled() ): ?>
		<?php echo hfe_render_header(); ?>
	<?php else: ?>

		<?php do_action( 'justshoppe_before_header' ); ?>

		<header id="masthead" class="site-header" role="banner" style="<?php justshoppe_header_styles(); ?>">

			<?php do_action( 'justshoppe_header' ); ?>

		</header><!-- #masthead -->

	<?php endif; ?>

	<?php do_action( 'justshoppe_before_content' ); ?>

	<!-- breadcrumb and cart -->
	<div class="site-hero">
		<div class="col-full">
			<?php if ( shortcode_exists( 'bolvo_breadcrumb' ) ) {
				echo do_shortcode( '[bolvo_breadcrumb]' );
			} ?>
			<?php if ( shortcode_exists( 'justshoppe_cart' ) ) {
				echo do_shortcode( '[justshoppe_cart]' );
			} ?>
		</div>
	</div>

	<div id="content" class="site-content" tabindex="-1">
		<div class="col-full">

		<?php do_action( 'justshoppe_content_top' );
				}