<?php
/**
 * Justshoppe setup
 *
 * @package justshoppe
 */

/**
 * Assign the Justshoppe version to a var
 */
$theme              = wp_get_theme( 'justshoppe' );
$justshoppe_version = $theme['Version'];

/**
 * Set the content width based on the theme's design and stylesheet.
 */
if ( ! isset( $content_width ) ) {
	$content_width = 980; /* pixels */
}

$justshoppe = (object) array(
	'version'    => $justshoppe_version,

	/**
	 * Initialize all the things.
	 */
	'main'       => require get_template_directory() . '/helpers/class-theme.php',
	'customizer' => require get_template_directory() . '/helpers/customizer/class-theme-customizer.php',
);

require get_template_directory() . '/helpers/theme-functions.php';
require get_template_directory() . '/helpers/theme-template-hooks.php';
require get_template_directory() . '/helpers/theme-template-functions.php';

if ( class_exists( 'Jetpack' ) ) {
	$justshoppe->jetpack = require get_template_directory() . '/helpers/jetpack/class-theme-jetpack.php';
}

if ( justshoppe_is_woocommerce_activated() ) {
	$justshoppe->woocommerce            = require get_template_directory() . '/helpers/woocommerce/class-theme-woocommerce.php';
	$justshoppe->woocommerce_customizer = require get_template_directory() . '/helpers/woocommerce/class-theme-woocommerce-customizer.php';

	require get_template_directory() . '/helpers/woocommerce/class-theme-woocommerce-adjacent-products.php';

	require get_template_directory() . '/helpers/woocommerce/theme-woocommerce-template-hooks.php';
	require get_template_directory() . '/helpers/woocommerce/theme-woocommerce-template-functions.php';
	require get_template_directory() . '/helpers/woocommerce/theme-woocommerce-functions.php';
}


add_filter( 'breadcrumb_trail_inline_style', '__return_false' );
