<?php
/**
 * Justshoppe Customizer functionality
 *
 * @package WordPress
 * @subpackage Justshoppe
 * @since Justshoppe 1.0
 */



/* Kirki starts */

if( class_exists( 'Kirki' )) {
	Kirki::add_config( 'justshoppe_cust_config', array(
		'capability'  => 'edit_theme_options',
		'option_type' => 'theme_mod',
	) );

	Kirki::add_panel( 'js_panel1', array(
		'priority'    => 10,
		'title'       => esc_html__( 'Justshoppe Settings', 'justshoppe' ),
		'description' => esc_html__( 'Justshoppe Theme Settings. Please note that Elementor page builder powers the complete look of theme now, including header/footer. Refer documentation for more details. These settings here applies only to base elements, like Blog list page.', 'justshoppe' ),
	) );

	Kirki::add_section( 'js_section1', array(
		'title'       => esc_html__( 'Typography(Font & Color)', 'justshoppe' ),
		'panel'       => 'js_panel1',
		'priority'    => 1,
	) );

	Kirki::add_section( 'js_section2', array(
		'title'       => esc_html__( 'Base Color', 'justshoppe' ),
		'panel'       => 'js_panel1',
		'priority'    => 1,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'js_info1',
		'label'       => esc_html__( '', 'kirki' ),
		'section'     => 'js_section1',
		'default'     => '<div class=blv-cust-heading2>' . esc_html__( 'Important : Please note that Elementor page builder powers the complete look of theme now, including header/footer. Refer documentation or contact support for more details. These settings here applies only to base theme elements, eg Blog list page.', 'kirki' ) . '</div>',
		'priority'    => 1,
	] );


	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'js_info2',
		'label'       => esc_html__( '', 'kirki' ),
		'section'     => 'js_section1',
		'default'     => '<div class=blv-cust-heading>' . esc_html__( 'Body & Paragraph Text', 'kirki' ) . '</div>',
		'priority'    => 2,
	] );

	Kirki::add_field( 'justshoppe_cust_config', [
		'type'        => 'typography',
		'settings'    => 'body_font',
		'label'       => esc_html__( 'Body & Paragraph Text', 'kirki' ),
		'section'     => 'js_section1',
		'default'     => [
			'font-family'    => 'Roboto',
			'variant'        => 'regular',
			'font-size'      => '15px',
			'line-height'    => '1.5',
			'letter-spacing' => '0',
			'color'          => '#333333',
			'text-transform' => 'none',
			'text-align'     => 'left',
		],
		'priority'    => 3,
		'transport'   => 'auto',
		'output'      => [
			[
				'element' => '.entry-content > p',
			],
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'js_info3',
		'label'       => esc_html__( '', 'kirki' ),
		'section'     => 'js_section1',
		'default'     => '<div class=blv-cust-heading>' . esc_html__( 'Post Title', 'kirki' ) . '</div>',
		'priority'    => 4,
	] );


	Kirki::add_field( 'justshoppe_cust_config', [
		'type'        => 'typography',
		'settings'    => 'post_heading',
		'label'       => esc_html__( 'Post Title', 'kirki' ),
		'section'     => 'js_section1',
		'default'     => [
			'font-family'    => 'Roboto',
			'variant'        => 'regular',
			'font-size'      => '24px',
			'line-height'    => '28px',
			'letter-spacing' => '0',
			'text-transform' => 'none',
			'text-align'     => 'left',
		],
		'priority'    => 5,
		'transport'   => 'auto',
		'output'      => [
			[
				'element' => '.entry-title, .entry-title a',
			],
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'js_info4',
		'label'       => esc_html__( '', 'kirki' ),
		'section'     => 'js_section1',
		'default'     => '<div class=blv-cust-heading>' . esc_html__( 'Widget Title', 'kirki' ) . '</div>',
		'priority'    => 6,
	] );


	Kirki::add_field( 'justshoppe_cust_config', [
		'type'        => 'typography',
		'settings'    => 'wdgt_title',
		'label'       => esc_html__( 'Widget Title', 'kirki' ),
		'section'     => 'js_section1',
		'default'     => [
			'font-family'    => 'Roboto',
			'variant'        => 'regular',
			'font-size'      => '24px',
			'line-height'    => '28px',
			'letter-spacing' => '0',
			'text-transform' => 'none',
			'text-align'     => 'left',
		],
		'priority'    => 7,
		'transport'   => 'auto',
		'output'      => [
			[
				'element' => '#secondary .widget .widget-title',
			],
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'js_info5',
		'label'       => esc_html__( '', 'kirki' ),
		'section'     => 'js_section1',
		'default'     => '<div class=blv-cust-heading>' . esc_html__( 'Widget Links', 'kirki' ) . '</div>',
		'priority'    => 8,
	] );


	Kirki::add_field( 'justshoppe_cust_config', [
		'type'        => 'typography',
		'settings'    => 'wdgt_links',
		'label'       => esc_html__( 'Widget Links', 'kirki' ),
		'section'     => 'js_section1',
		'default'     => [
			'font-family'    => 'Roboto',
			'variant'        => 'regular',
			'font-size'      => '13px',
			'line-height'    => '18px',
			'letter-spacing' => '0',
			'text-transform' => 'none',
			'text-align'     => 'left',
		],
		'priority'    => 9,
		'transport'   => 'auto',
		'output'      => [
			[
				'element' => '.site-content .widget-area .widget a',
			],
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'js_info6',
		'label'       => esc_html__( '', 'kirki' ),
		'section'     => 'js_section2',
		'default'     => '<div class=blv-cust-heading2>' . esc_html__( 'Important : Please note that Elementor page builder powers the complete look of theme now, including header/footer. Refer documentation or contact support for more details. These settings here applies only to base theme elements, eg Blog list page.', 'kirki' ) . '</div>',
		'priority'    => 1,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'blv_accent_color',
		'label'       => __( 'Accent Color', 'kirki' ),
		'description' => esc_html__( 'Used as main color in base theme.', 'kirki' ),
		'section'     => 'js_section2',
		'default'     => '#e75a39',
		'choices'     => [
			'alpha' => true,
		],
	] );

}