<?php
if ( ! defined( 'ABSPATH' ) ) exit;

/*-----------------------------------------------------------------------------------*/
/* Theme Metaboxes ! */
/*-----------------------------------------------------------------------------------*/


if ( defined( 'RWMB_VER' ) ) {
	add_filter( 'rwmb_meta_boxes', 'justshoppe_meta_boxes' );

	function justshoppe_meta_boxes($meta_boxes) {
		//global $meta_boxes;

		$prefix = 'justshoppe';

		$meta_boxes[] = array(
			'id'      => 'cases_info',
			'title'   => esc_html_x( 'Additional Information', 'backend', 'justshoppe'),
			'pages'   => array( 'bdthemes-cases' ),
			//'context' => 'normal',
			'fields'  => array(
				array(
					'name'		=> esc_html_x( 'Company Name/Address', 'backend', 'justshoppe'),
					'id'		=> $prefix . 'tm_company_name',
					'desc'		=> esc_html_x( 'Please type client company name for example: BdThemes Limited.', 'backend', 'justshoppe'),
					'clone'		=> false,
					'type'		=> 'text',
					'std'		=> '',
					'placeholder' => esc_html_x('BdThemes Limited', 'backend', 'justshoppe' ),
					//'hidden' => array('bdthemes_show_faq_icon', '=', 'no'),
				),
				array(
					'name'		=> 'Rating',
					'id'		=> $prefix . "tm_rating",
					'type'		=> 'select',
					'options'	=> array(
						'1' => esc_html_x('1 Star', 'backend', 'justshoppe'),
						'2' => esc_html_x('2 Stars', 'backend', 'justshoppe'),
						'3' => esc_html_x('3 Stars', 'backend', 'justshoppe'),
						'4' => esc_html_x('4 Stars', 'backend', 'justshoppe'),
						'5' => esc_html_x('5 Stars', 'backend', 'justshoppe'),
					),
					'multiple' => false,
					'std'      => array( '' ),
					'desc'     => 'Select your client rating what he/she gives you.',
				),
			)
		);

		return $meta_boxes;
	}
}