<?php
/**
 * Justshoppe hooks
 *
 * @package justshoppe
 */

/**
 * General
 *
 * @see  justshoppe_header_widget_region()
 * @see  justshoppe_get_sidebar()
 */
add_action( 'justshoppe_before_content', 'justshoppe_header_widget_region', 10 );
add_action( 'justshoppe_before_content', 'justshoppe_create_sc', 12 );
add_action( 'justshoppe_sidebar', 'justshoppe_get_sidebar', 10 );

/**
 * Header ( hookable to justshoppe_header )s
 *
 * @see justshoppe_header_container                 - 0
 * @see justshoppe_skip_links                       - 5
 * @see justshoppe_social_icons                     - 10
 * @see justshoppe_site_branding                    - 20
 * @see justshoppe_secondary_navigation             - 30
 * @see justshoppe_product_search                   - 40
 * @see justshoppe_header_container_close           - 41
 * @see justshoppe_primary_navigation_wrapper       - 42
 * @see justshoppe_primary_navigation               - 50
 * @see justshoppe_header_cart                      - 60
 * @see justshoppe_primary_navigation_wrapper_close - 68
 * @see  justshoppe_primary_navigation()
 */
add_action( 'justshoppe_header', 'justshoppe_header_container', 0 );
add_action( 'justshoppe_header', 'justshoppe_skip_links', 5 );
add_action( 'justshoppe_header', 'justshoppe_site_branding', 20 );
add_action( 'justshoppe_header', 'justshoppe_primary_navigation', 30 );
add_action( 'justshoppe_header', 'justshoppe_header_container_close', 41 );


/**
 * Footer
 *
 * @see  justshoppe_footer_widgets()
 * @see  justshoppe_credit()
 */
add_action( 'justshoppe_footer', 'justshoppe_footer_widgets', 10 );
add_action( 'justshoppe_footer', 'justshoppe_credit', 20 );

/**
 * Homepage
 *
 * @see  justshoppe_homepage_content()
 */
add_action( 'homepage', 'justshoppe_homepage_content', 10 );

/**
 * Posts
 *
 * @see  justshoppe_post_header()
 * @see  justshoppe_post_meta()
 * @see  justshoppe_post_content()
 * @see  justshoppe_paging_nav()
 * @see  justshoppe_single_post_header()
 * @see  justshoppe_post_nav()
 * @see  justshoppe_display_comments()
 */
add_action( 'justshoppe_loop_after', 'justshoppe_paging_nav', 10 );

/**
 * Pages
 *
 * @see  justshoppe_page_header()
 * @see  justshoppe_page_content()
 * @see  justshoppe_display_comments()
 */
add_action( 'justshoppe_page', 'justshoppe_page_header', 10 );
add_action( 'justshoppe_page', 'justshoppe_page_content', 20 );
add_action( 'justshoppe_page_after', 'justshoppe_display_comments', 10 );

/**
 * Homepage Page Template
 *
 * @see  justshoppe_homepage_header()
 * @see  justshoppe_page_content()
 */
add_action( 'justshoppe_homepage', 'justshoppe_homepage_header', 10 );
add_action( 'justshoppe_homepage', 'justshoppe_page_content', 20 );
