<?php
/**
 * Customizer settings: Footer > Social Links
 *
 * @package Justshoppe
 **/

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

$section = 'justshoppe_section_footer_social';

/**
 * ====================================================
 * Social Links
 * ====================================================
 */

// Heading: Social Links
$wp_customize->add_control( new Justshoppe_Customize_Control_Heading( $wp_customize, 'heading_footer_social', array(
	'section'     => $section,
	'settings'    => array(),
	'label'       => esc_html__( 'Social Links', 'justshoppe' ),
	'description' => sprintf(
		/* translators: %s: link to "Global Modules" section. */
		esc_html__( 'You can edit Social Media URLs via %s.', 'justshoppe' ),
		'<a href="' . esc_attr( add_query_arg( 'autofocus[panel]', 'justshoppe_panel_global_settings', remove_query_arg( 'autofocus' ) ) ) . '" class="justshoppe-customize-goto-control">' . esc_html__( 'Global Modules', 'justshoppe' ) . '</a>'
	),
	'priority'    => 10,
) ) );

// Social links
$key = 'footer_social_links';
$wp_customize->add_setting( $key, array(
	'default'     => justshoppe_array_value( $defaults, $key ),
	'transport'   => 'postMessage',
	'sanitize_callback' => array( 'Justshoppe_Customizer_Sanitization', 'multiselect' ),
) );
$wp_customize->add_control( new Justshoppe_Customize_Control_Builder( $wp_customize, $key, array(
	'section'     => $section,
	'label'       => esc_html__( 'Active links', 'justshoppe' ),
	'choices'     => justshoppe_get_social_media_types( true ),
	'priority'    => 10,
) ) );

// Selective Refresh
if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial( 'footer_social_links', array(
		'selector'            => '.justshoppe-footer-social',
		'container_inclusive' => true,
		'render_callback'     => function() {
			justshoppe_footer_element( 'social' );
		},
		'fallback_refresh'    => false,
	) );
}

// Social links target
$key = 'footer_social_links_target';
$wp_customize->add_setting( $key, array(
	'default'     => justshoppe_array_value( $defaults, $key ),
	'transport'   => 'postMessage',
	'sanitize_callback' => array( 'Justshoppe_Customizer_Sanitization', 'select' ),
) );
$wp_customize->add_control( $key, array(
	'type'        => 'select',
	'section'     => $section,
	'label'       => esc_html__( 'Open links in', 'justshoppe' ),
	'choices'     => array(
		'self'  => esc_html__( 'Same tab', 'justshoppe' ),
		'blank' => esc_html__( 'New tab', 'justshoppe' ),
	),
	'priority'    => 10,
) );