<?php
/**
 * Customizer settings: Global Modules > Social Media URLs
 *
 * @package Justshoppe
 **/

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

$section = 'justshoppe_section_social';

/**
 * ====================================================
 * Links
 * ====================================================
 */

$links = justshoppe_get_social_media_types( true );
ksort( $links );
	
foreach ( $links as $slug => $label ) {
	// Social media link
	$key = 'social_' . $slug;
	$wp_customize->add_setting( $key, array(
		'default'     => justshoppe_array_value( $defaults, $key ),
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( $key, array(
		'section'     => $section,
		'description' => justshoppe_icon( $slug, array(), false ) . $label,
		'priority'    => 10,
	) );
}

/**
 * ====================================================
 * Justshoppe Pro Upsell
 * ====================================================
 */

if ( justshoppe_show_pro_teaser() ) {
	$wp_customize->add_control( new Justshoppe_Customize_Control_Pro_Teaser( $wp_customize, 'pro_teaser_social_icons', array(
		'section'     => $section,
		'settings'    => array(),
		'label'       => esc_html_x( 'More Options Available in Justshoppe Pro', 'Justshoppe Pro upsell', 'justshoppe' ),
		'url'         => esc_url( add_query_arg( array( 'utm_source' => 'justshoppe-customizer', 'utm_medium' => 'learn-more', 'utm_campaign' => 'theme-upsell' ), JUSTSHOPPE_PRO_WEBSITE_URL ) ),
		'features'    => array(
			esc_html_x( 'Replace default social icons with custom icons', 'Justshoppe Pro upsell', 'justshoppe' ),
			esc_html_x( 'Add more (custom) social icons', 'Justshoppe Pro upsell', 'justshoppe' ),
		),
		'priority'    => 90,
	) ) );
}