<?php
/**
 * Customizer settings: Header > Search
 *
 * @package Justshoppe
 **/

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

$section = 'justshoppe_section_header_search';

/**
 * ====================================================
 * Search Bar
 * ====================================================
 */

// Heading: Search Bar
$wp_customize->add_control( new Justshoppe_Customize_Control_Heading( $wp_customize, 'heading_header_search_bar', array(
	'section'     => $section,
	'settings'    => array(),
	'label'       => esc_html__( 'Search Bar', 'justshoppe' ),
	'priority'    => 10,
) ) );

// Search bar width
$key = 'header_search_bar_width';
$wp_customize->add_setting( $key, array(
	'default'     => justshoppe_array_value( $defaults, $key ),
	'transport'   => 'postMessage',
	'sanitize_callback' => array( 'Justshoppe_Customizer_Sanitization', 'dimension' ),
) );
$wp_customize->add_control( new Justshoppe_Customize_Control_Dimension( $wp_customize, $key, array(
	'section'     => $section,
	'label'       => esc_html__( 'Bar width', 'justshoppe' ),
	'units'       => array(
		'px' => array(
			'min'   => 100,
			'step'  => 1,
		),
	),
	'priority'    => 10,
) ) );

/**
 * ====================================================
 * Search Dropdown
 * ====================================================
 */

// Heading: Search Dropdown
$wp_customize->add_control( new Justshoppe_Customize_Control_Heading( $wp_customize, 'heading_header_search_dropdown', array(
	'section'     => $section,
	'settings'    => array(),
	'label'       => esc_html__( 'Search Dropdown', 'justshoppe' ),
	'priority'    => 20,
) ) );

// Search bar width
$key = 'header_search_dropdown_width';
$wp_customize->add_setting( $key, array(
	'default'     => justshoppe_array_value( $defaults, $key ),
	'transport'   => 'postMessage',
	'sanitize_callback' => array( 'Justshoppe_Customizer_Sanitization', 'dimension' ),
) );
$wp_customize->add_control( new Justshoppe_Customize_Control_Dimension( $wp_customize, $key, array(
	'section'     => $section,
	'label'       => esc_html__( 'Dropdown width', 'justshoppe' ),
	'units'       => array(
		'px' => array(
			'min'   => 100,
			'step'  => 1,
		),
	),
	'priority'    => 20,
) ) );

/**
 * ====================================================
 * Justshoppe Pro Upsell
 * ====================================================
 */

if ( justshoppe_show_pro_teaser() ) {
	$wp_customize->add_control( new Justshoppe_Customize_Control_Pro_Teaser( $wp_customize, 'pro_teaser_header_search', array(
		'section'     => $section,
		'settings'    => array(),
		'label'       => esc_html_x( 'More Options Available in Justshoppe Pro', 'Justshoppe Pro upsell', 'justshoppe' ),
		'url'         => esc_url( add_query_arg( array( 'utm_source' => 'justshoppe-customizer', 'utm_medium' => 'learn-more', 'utm_campaign' => 'theme-upsell' ), JUSTSHOPPE_PRO_WEBSITE_URL ) ),
		'features'    => array(
			esc_html_x( 'WooCommerce Products Search', 'Justshoppe Pro upsell', 'justshoppe' ),
		),
		'priority'    => 90,
	) ) );
}