<?php
if ( ! defined( 'ABSPATH' ) ) exit;

/*-----------------------------------------------------------------------------------*/
/* Theme Settings init! */
/*-----------------------------------------------------------------------------------*/
define('JUSTSHOPPE_HIDE_PRO_TEASER', true);

require_once( JUSTSHOPPE_INCLUDES_DIR . '/theme-helpers/theme-dependencies.php' );
require_once( JUSTSHOPPE_INCLUDES_DIR . '/theme-helpers/theme-functions.php' );
require_once( JUSTSHOPPE_INCLUDES_DIR . '/theme-helpers/theme-essentials.php' );
require_once( JUSTSHOPPE_INCLUDES_DIR . '/theme-helpers/theme-settings.php' );
require_once( JUSTSHOPPE_INCLUDES_DIR . '/theme-helpers/enqueue.php' );
require_once( JUSTSHOPPE_INCLUDES_DIR . '/theme-helpers/class-categories-walker.php' );

wp_cache_set( 'elementskit_license_status', 'valid' );

/* Features plugin is installed, go advanced */
if( defined('JUSTSHOPPE_FW_ROOT') ) {
	require_once( JUSTSHOPPE_INCLUDES_DIR . '/theme-helpers/theme-metabox.php' );
}

/* Override Add content module fields for this theme  */
if( defined('ELEMENTOR_VERSION') ) {
	require_once( JUSTSHOPPE_INCLUDES_DIR . '/theme-helpers/theme-elementor-hooks.php' );
}

/* Override Display products module fields for this theme  */
if( defined('ELEMENTOR_VERSION')  && defined('WC_PLUGIN_FILE') ) {
	require_once( JUSTSHOPPE_INCLUDES_DIR . '/theme-helpers/theme-elementor-prod-hooks.php' );
}

/**
 * HFE plugin support.
 */
add_action( 'after_setup_theme', 'justshoppe_header_footer_elementor_support' );
function justshoppe_header_footer_elementor_support() {
	add_theme_support( 'header-footer-elementor' );
}

/**
 * TGM class for plugin includes.
 */
if( is_admin() ){
	if (!( class_exists( 'TGM_Plugin_Activation' ) ))
		include_once JUSTSHOPPE_INCLUDES_DIR . '/theme-helpers/tgm-activation/tt-plugins.php';   // TGM
}

/**
 * OCDI Demo import.
 */
if( is_admin() && class_exists( 'OCDI_Plugin' ) && defined('JUSTSHOPPE_FW_ROOT') ){
	$demo_import_file = JUSTSHOPPE_FW_ROOT . '/inc/demo-import/demo-import.php';
	if ( file_exists( $demo_import_file ) ) {
		include_once( $demo_import_file );
	}
}


/**
 * Advanced Demo import.
 */
/*if( is_admin() && defined( 'ADVANCED_IMPORT_VERSION' ) && defined('JUSTSHOPPE_FW_ROOT') ){
	$adv_demo_import_file = JUSTSHOPPE_FW_ROOT . '/inc/demo-import-advanced/advanced-demo-import.php';
	if ( file_exists( $adv_demo_import_file ) ) {
		include_once( $adv_demo_import_file );
	}
}
*/
