<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Header
 */
get_header();

/**
 * Primary - opening tag
 */
justshoppe_primary_open();

/**
 * Hook: justshoppe/frontend/before_main
 */
do_action( 'justshoppe/frontend/before_main' );

while ( have_posts() ) : the_post();

	// Render post content using "content" layout.
	get_template_part( 'includes/theme-helpers/overrides/entry-default' );

endwhile;

if ( has_action( 'justshoppe/frontend/entry/footer' ) ) :
	?>
	<footer class="entry-footer <?php echo esc_attr( 'justshoppe-text-align-' . justshoppe_get_theme_mod( 'entry_footer_alignment' ) ); ?>">
		<?php
		/**
		 * Hook: justshoppe/frontend/entry/footer
		 *
		 * @hooked justshoppe_entry_footer_meta - 10
		 */
		do_action( 'justshoppe/frontend/entry/footer' );
		?>
	</footer>
<?php
endif;

/**
 * Hook: justshoppe/frontend/after_main
 *
 * @hooked justshoppe_single_post_author_bio - 10
 * @hooked justshoppe_single_post_navigation - 15
 * @hooked justshoppe_entry_comments - 20
 */
do_action( 'justshoppe/frontend/after_main' );

/**
 * Primary - closing tag
 */
justshoppe_primary_close();

/**
 * Sidebar
 */
get_sidebar();

/**
 * Footer
 */
get_footer();