<?php
if ( ! defined( 'ABSPATH' ) ) exit;

/*-----------------------------------------------------------------------------------*/
/* Theme Settings! */
/*-----------------------------------------------------------------------------------*/

add_action( 'customize_register', 'justshoppe_general_settings' );

if( ! function_exists( 'justshoppe_general_settings' ) ) {

function justshoppe_general_settings( $wp_customize ) {

		if( class_exists( 'Justshoppe_Customizer' ) ) {

			/* Section General Settings */
			$wp_customize->add_section( 'justshoppe_section_general_settings', array(
			    'title'       => esc_html__( 'General Justshoppe Settings', 'justshoppe' ),
			    'description' => '<p>' . esc_html__( 'Some additional header options.', 'justshoppe' ) . '</p>',
			    'priority'    => 1,
			) );
			$section = 'justshoppe_section_general_settings';


// Accent Colors
$key = 'custom_color';
// Heading
$wp_customize->add_control( new Justshoppe_Customize_Control_Heading( $wp_customize, $key.'justshoppe_title', array(
	'section'     => $section,
	'settings'    => array(),
	'label'       => esc_html__( 'Justshoppe Color settings', 'justshoppe' ),
) ) );
// Notice Dynamic Page Settings
$wp_customize->add_control( new Justshoppe_Customize_Control_Blank( $wp_customize, $section.'_notice', array(
	'section'     => $section,
	'settings'    => array(),
	'description' => '<div class="notice notice-info notice-alt inline"><p>' . sprintf(
		/* translators: %1$s: section name, %2$s: link to Dynamic Page Settings. */
			esc_html__( 'Please note most colors are powered by Images, Elementor or Other settings in this customizer, and can be changed from there respective places.', 'justshoppe' )
		) . '</p></div>',
) ) );
$justshoppe_colors = array(
	'justshoppe_accent_color'    => array (
									esc_html__( 'Justshoppe Main color', 'justshoppe' ),
									esc_html__( 'Main color, used on most of the places.', 'justshoppe' )
								),
	'justshoppe_secondary_color'    => array (
									esc_html__( 'Justshoppe Secondary color', 'justshoppe' ),
									esc_html__( 'Secondary color.', 'justshoppe' )
								),
	'justshoppe_secondary_color_lighter'    => array (
									esc_html__( 'Justshoppe Icon hover color', 'justshoppe' ),
									esc_html__( 'A bit dark ton of Secondary color recommended.', 'justshoppe' )
								)
);
foreach ( $justshoppe_colors as $key => $label ) {
	$wp_customize->add_setting( $key, array(
		'default'     => '',
		'transport'   => 'postMessage',
		'sanitize_callback' => array( 'Justshoppe_Customizer_Sanitization', 'color' ),
	) );
	$wp_customize->add_control( new Justshoppe_Customize_Control_Color( $wp_customize, $key, array(
		'section'     => $section,
		'label'       => $label['0'],
		'description' => $label['1']
	) ) );
}


			// Custom products look settings
			$key = 'custom_prod_loop';
			// Heading
			$wp_customize->add_control( new Justshoppe_Customize_Control_Heading( $wp_customize, $key.'justshoppe_title', array(
				'section'     => $section,
				'settings'    => array(),
				'label'       => esc_html__( 'Justshoppe Product settings', 'justshoppe' ),
			) ) );
			$wp_customize->add_setting( $key, array(
				'default'     => '',
				'sanitize_callback' => array( 'Justshoppe_Customizer_Sanitization', 'select' ),
			) );
			$wp_customize->add_control( $key, array(
				'type'        => 'select',
				'section'     => $section,
				'label'       => esc_html__( 'Justshoppe Product Layout.', 'justshoppe' ),
				'description'       => esc_html__( 'Please note that all other WC product settings, found in other setting panels will not work if you choose Justshoppe special layout here. Justshoppe has some special Product layout. In case you want flexibility to change the product block details from Woocommerce panel in this customzer, switch to Default here. Recommended: Justshoppe Special', 'justshoppe' ),
				'default'       => 'justshoppe_special',
				'choices'     => array(
					'justshoppe_special'    => esc_html__( 'Justshoppe Special', 'justshoppe' ),
					'default'           => esc_html__( 'Default', 'justshoppe' ),
				),
			) );

			// Custom look settings
			$key = 'custom_look';
			// Heading
			$wp_customize->add_control( new Justshoppe_Customize_Control_Heading( $wp_customize, $key.'justshoppe_title', array(
				'section'     => $section,
				'settings'    => array(),
				'label'       => esc_html__( 'Justshoppe layout settings', 'justshoppe' ),
			) ) );
			$wp_customize->add_setting( $key, array(
				'default'     => 'justshoppe_special',
				'sanitize_callback' => array( 'Justshoppe_Customizer_Sanitization', 'select' ),
			) );
			$wp_customize->add_control( $key, array(
				'type'        => 'select',
				'section'     => $section,
				'label'       => esc_html__( 'Justshoppe Layout.', 'justshoppe' ),
				'description'       => esc_html__( 'Please note that all other Blog layout, Single blog layout settings found in other setting panels will not work if you choose Justshoppe special layout here. Browser reload required after change. Justshoppe has some special layout related stuff applied on Blog, Single post and Footer on cost of flexibility of settings provided in customizer. In case you want flexibility to change, switch to Default here. Actual content like widgets or Post data remain unchanged, only design/layout changes.', 'justshoppe' ),
				'default'       => 'justshoppe_special',
				'choices'     => array(
					'justshoppe_special'    => esc_html__( 'Justshoppe Special', 'justshoppe' ),
					'default'           => esc_html__( 'Default', 'justshoppe' ),
				),
			) );

			// Single blog header.
			$key = 'single_blog_hdr';
			$wp_customize->add_control( new Justshoppe_Customize_Control_Heading( $wp_customize, $key.'justshoppe_title', array(
				'section'     => $section,
				'settings'    => array(),
				'label'       => esc_html__( 'Single blog header', 'justshoppe' ),
			) ) );
			$wp_customize->add_setting( $key, array(
				'default'     => true,
				'sanitize_callback' => array( 'Justshoppe_Customizer_Sanitization', 'toggle' ),
			) );
			$wp_customize->add_control( new Justshoppe_Customize_Control_Toggle( $wp_customize, $key, array(
				'section'     => $section,
				'label'       => esc_html__( 'One word page-header', 'justshoppe' ),
				'description' => esc_html__( 'By default, Blog appears on single blog page, disable this to display full post title instead.', 'justshoppe' ),
			) ) );

			// Single blog social share.
			$key = 'single_blog_share';
			$wp_customize->add_control( new Justshoppe_Customize_Control_Heading( $wp_customize, $key.'justshoppe_title', array(
				'section'     => $section,
				'settings'    => array(),
				'label'       => esc_html__( 'Single Post Share', 'justshoppe' ),
			) ) );
			$wp_customize->add_setting( $key, array(
				'default'     => false,
				'sanitize_callback' => array( 'Justshoppe_Customizer_Sanitization', 'toggle' ),
			) );
			$wp_customize->add_control( new Justshoppe_Customize_Control_Toggle( $wp_customize, $key, array(
				'section'     => $section,
				'label'       => esc_html__( 'Single Post Share', 'justshoppe' ),
				'description' => esc_html__( 'Enable post sharing on Single post.', 'justshoppe' ),
			) ) );

			
/* Footer image BG */
$panel = 'justshoppe_panel_footer';
$section = 'justshoppe_section_footer_widgets_bar';
$key = 'custom_ft_bg';
$wp_customize->add_setting( $key, array(
	'default'     => '',
	'sanitize_callback' => 'absint',
) );
$wp_customize->add_control( new WP_Customize_Media_Control( $wp_customize, $key, array(
	'section'     => $section,
	'label'       => esc_html__( 'Custom BG image', 'justshoppe' ),
	'description' => esc_html__( 'Upload footer BG image, if you want to.', 'justshoppe' ),
	'mime_type'   => 'image',
) ) );


			/* Display notices on various places for theme specific blog template */
			$sections = array(
				'justshoppe_section_blog_index',
				'justshoppe_section_entry_default',
				'justshoppe_section_entry_grid',
				'justshoppe_section_page_settings_post_singular',
				'justshoppe_section_page_settings_post_archive',
				'justshoppe_section_blog_single',
			);
			foreach( $sections as $section ) {
				// Notice Dynamic Page Settings
				$wp_customize->add_control( new Justshoppe_Customize_Control_Blank( $wp_customize, $section.'_notice', array(
					'section'     => $section,
					'settings'    => array(),
					'priority'    => '0',
					'description' => '<div class="notice notice-info notice-alt inline"><p>' . sprintf(
						/* translators: %1$s: section name, %2$s: link to Dynamic Page Settings. */
							esc_html__( 'Please note that below settings only work if you have Default Layout option selected in %1$s', 'justshoppe' ),
							'<a href="' . esc_url( add_query_arg( 'autofocus[section]', 'justshoppe_section_general_settings', remove_query_arg( 'autofocus' ) ) ) . '" class="justshoppe-customize-goto-control">' . esc_html__( 'General Settings.', 'justshoppe' ) . '</a>'
						) . '</p></div>',
				) ) );
			}

		}

	}

}