<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Header
 */
get_header();

if ( justshoppe_is_fresh_install() ) {

/**
 * Primary - opening tag
 */
justshoppe_primary_open();

/**
 * Hook: justshoppe/frontend/before_main
 */
do_action( 'justshoppe/frontend/before_main' );

while ( have_posts() ) : the_post();

	// Render post content using "page-content" layout.
	justshoppe_get_template_part( 'page-content' );

endwhile;

/**
 * Hook: justshoppe/frontend/after_main
 */
do_action( 'justshoppe/frontend/after_main' );

/**
 * Primary - closing tag
 */
justshoppe_primary_close();

/**
 * Sidebar
 */
get_sidebar();

} else {
?>


	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<?php
			while ( have_posts() ) :
				the_post();

				do_action( 'justshoppe_page_before' );

				get_template_part( 'template-parts/content', 'page' );

				/**
				 * Functions hooked in to justshoppe_page_after action
				 *
				 * @hooked justshoppe_display_comments - 10
				 */
				do_action( 'justshoppe_page_after' );

			endwhile; // End of the loop.
			?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php
do_action( 'justshoppe_sidebar' );
 }

/**
 * Footer
 */
get_footer();