<?php
/**
 * The sidebar containing Shop (WooCommerce) widget area.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

if ( justshoppe_is_fresh_install() ) {

// Check current page's content container. Skip sidebar if it's a "narrow" layout.
if ( 'narrow' === justshoppe_get_current_page_setting( 'content_container' ) ) return;

// Check current page's content layout. Skip sidebar if not needed in the layout.
if ( ! in_array( justshoppe_get_current_page_setting( 'content_layout' ), array( 'left-sidebar', 'right-sidebar' ) ) ) return;
?>
<aside id="secondary" class="<?php echo esc_attr( implode( ' ', apply_filters( 'justshoppe/frontend/sidebar_classes', array( 'widget-area', 'sidebar' ) ) ) ); ?>" role="complementary" itemscope itemtype="https://schema.org/WPSideBar">
	<?php
	/**
	 * Hook: justshoppe/frontend/before_sidebar
	 */
	do_action( 'justshoppe/frontend/before_sidebar' );
	
	if ( is_active_sidebar( 'sidebar-shop' ) ) :
	?>
		<div class="sidebar-inner">
			<?php dynamic_sidebar( 'sidebar-shop' ); ?>
		</div>
	<?php
	endif;

	/**
	 * Hook: justshoppe/frontend/after_sidebar
	 */
	do_action( 'justshoppe/frontend/after_sidebar' );
	?>
</aside>

<?php
} else {

if ( ! is_active_sidebar( 'shop-sidebar' ) ) {
	return;
}
?>

<div id="secondary" class="widget-area" role="complementary">
	<?php dynamic_sidebar( 'shop-sidebar' ); ?>
</div><!-- #secondary -->
<?php }