<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Header
 */
get_header();

if ( justshoppe_is_fresh_install() ) {

/**
 * Primary - opening tag
 */
justshoppe_primary_open();

/**
 * Hook: justshoppe/frontend/before_main
 */
do_action( 'justshoppe/frontend/before_main' );

while ( have_posts() ) : the_post();

	// Render post content using "post-content" layout.
	justshoppe_get_template_part( 'post-content' );

endwhile;

/**
 * Hook: justshoppe/frontend/after_main
 * 
 * @hooked justshoppe_post_author_bio - 10
 * @hooked justshoppe_post_navigation - 15
 * @hooked justshoppe_comments - 20
 */
do_action( 'justshoppe/frontend/after_main' );

/**
 * Primary - closing tag
 */
justshoppe_primary_close();

/**
 * Sidebar
 */
get_sidebar();

} else {
?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<?php
			while ( have_posts() ) :
				the_post();

				do_action( 'justshoppe_single_post_before' );

				get_template_part( 'template-parts/content', 'single' );

				do_action( 'justshoppe_single_post_after' );

			endwhile; // End of the loop.
			?>

		</main>
		<!-- #main -->
	</div><!-- #primary -->

	<?php
	do_action( 'justshoppe_sidebar' );
}

/**
 * Footer
 */
get_footer();