<?php
/**
 * The template for displaying full width pages.
 *
 * Template Name: Full width
 *
 * @package justshoppe
 */

get_header(); ?>

<?php if ( justshoppe_is_fresh_install() ) {

// Remove content wrapper on this page template.
add_filter( 'justshoppe/frontend/show_content_wrapper', '__return_false' );
?>
<div id="content" class="site-content">
	<article id="post-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?> role="article">
		<?php
		while ( have_posts() ) :
			the_post();

			// Print the content.
			the_content();
		endwhile;
		?>
	</article>
</div>

<?php
} else {
	?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<?php
			while ( have_posts() ) :
				the_post();

				do_action( 'justshoppe_page_before' );

				get_template_part( 'template-parts/content', 'page' );

				/**
				 * Functions hooked in to justshoppe_page_after action
				 *
				 * @hooked justshoppe_display_comments - 10
				 */
				do_action( 'justshoppe_page_after' );

			endwhile; // End of the loop.
			?>

		</main>
		<!-- #main -->
	</div><!-- #primary -->

<?php
}
get_footer();
