<?php
/**
 * Footer social links template.
 *
 * Passed variables:
 *
 * @type string $element Footer element.
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

$items = justshoppe_get_theme_mod( 'footer_social_links', array() );

if ( empty( $items ) ) {
	return;
}

$target = '_' . justshoppe_get_theme_mod( 'footer_social_links_target' );
$attrs = array();

foreach ( $items as $item ) {
	$url = justshoppe_get_theme_mod( 'social_' . $item );
	$attrs[] = array(
		'type'   => $item,
		'url'    => ! empty( $url ) ? $url : '#',
		'target' => $target,
	);
}

?>
<ul class="<?php echo esc_attr( 'justshoppe-footer-' . $element ); ?> menu">
	<?php justshoppe_social_links( $attrs, array(
		'before_link' => '<li class="menu-item">',
		'after_link'  => '</li>',
		'link_class'  => 'justshoppe-menu-icon',
	) ); ?>
</ul>