<?php
/**
 * Mobile header vertical template.
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

$elements = justshoppe_get_theme_mod( 'header_mobile_elements_vertical_top', array() );
$display = justshoppe_get_theme_mod( 'header_mobile_vertical_bar_display' );
?>
<div id="mobile-vertical-header" class="<?php echo esc_attr( implode( ' ', apply_filters( 'justshoppe/frontend/header_mobile_vertical_classes', array( 'justshoppe-header-mobile-vertical', 'justshoppe-header', 'justshoppe-popup' ) ) ) ); ?>" itemscope itemtype="https://schema.org/WPHeader">
	<?php if ( 'drawer' === $display ) : ?>
		<div class="justshoppe-popup-background justshoppe-popup-close"></div>
	<?php endif; ?>

	<div class="justshoppe-header-mobile-vertical-bar justshoppe-header-section-vertical justshoppe-popup-content">
		<div class="justshoppe-header-section-vertical-column">
			<div class="justshoppe-header-mobile-vertical-bar-top justshoppe-header-section-vertical-row">
				<?php foreach ( $elements as $element ) justshoppe_header_element( $element ); ?>
			</div>
		</div>

		<?php if ( 'full-screen' === $display ) : ?>
			<button class="justshoppe-popup-close-icon justshoppe-popup-close justshoppe-toggle"><?php justshoppe_icon( 'close' ); ?></button>
		<?php endif; ?>
	</div>
</div>