<?php
/**
 * Page entry template.
 *
 * @package Justshoppe
 */

// Prevent direct access.
if ( ! defined( 'ABSPATH' ) ) exit;

?>
<div id="page-<?php the_ID(); ?>" <?php post_class( apply_filters( 'justshoppe/frontend/page_entry/classes', array( 'entry', 'entry-page' ) ) ); ?> role="article">
	<div class="entry-wrapper">
		<?php
		/**
		 * Hook: justshoppe/frontend/page_entry/before_header
		 *
		 * @hooked justshoppe_entry_thumbnail - 10
		 */
		do_action( 'justshoppe/frontend/page_entry/before_header' );
		
		if ( has_action( 'justshoppe/frontend/page_entry/header' ) ) :
		?>
			<header class="entry-header <?php echo esc_attr( 'justshoppe-text-align-' . justshoppe_get_theme_mod( 'page_single_content_header_alignment' ) ); ?>">
				<?php
				/**
				 * Hook: justshoppe/frontend/page_entry/header
				 *
				 * @hooked justshoppe_content_header - 10
				 */
				do_action( 'justshoppe/frontend/page_entry/header' );
				?>
			</header>
		<?php
		endif;

		/**
		 * Hook: justshoppe/frontend/page_entry/after_header
		 *
		 * @hooked justshoppe_entry_thumbnail - 10
		 */
		do_action( 'justshoppe/frontend/page_entry/after_header' );
		?>

		<div class="entry-content">
			<?php
			/**
			 * Hook: justshoppe/frontend/page_entry/before_content
			 */
			do_action( 'justshoppe/frontend/page_entry/before_content' );

			/**
			 * Excerpt
			 */

			the_content();

			// Content pagination (if exists)
			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'justshoppe' ),
				'after'  => '</div>',
			) );

			/**
			 * Hook: justshoppe/frontend/page_entry/after_content
			 */
			do_action( 'justshoppe/frontend/page_entry/after_content' );
			?>
		</div>

		<?php
		/**
		 * Hook: justshoppe/frontend/page_entry/before_footer
		 */
		do_action( 'justshoppe/frontend/page_entry/before_footer' );
		
		if ( has_action( 'justshoppe/frontend/page_entry/footer' ) ) :
		?>
			<footer class="entry-footer <?php echo esc_attr( 'justshoppe-text-align-' . justshoppe_get_theme_mod( 'page_single_content_footer_alignment' ) ); ?>">
				<?php
				/**
				 * Hook: justshoppe/frontend/page_entry/footer
				 */
				do_action( 'justshoppe/frontend/page_entry/footer' );
				?>
			</footer>
		<?php
		endif;

		/**
		 * Hook: justshoppe/frontend/page_entry/after_footer
		 */
		do_action( 'justshoppe/frontend/page_entry/after_footer' );
		?>
	</div>
</div>
